var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var request = require('request');
var promise = require('bluebird');
var AddAgentParams = (function () {
    function AddAgentParams(host, port, persistentConnection, timeout) {
        this.host = host;
        this.port = port;
        this.persistentConnection = persistentConnection;
        this.timeout = timeout;
    }
    return AddAgentParams;
})();
exports.AddAgentParams = AddAgentParams;
var AddRemoteHostParams = (function () {
    function AddRemoteHostParams(remotehost, port, encryptAlgorithm, compression, authorize, agents) {
        this.remotehost = remotehost;
        this.port = port;
        this.encryptAlgorithm = encryptAlgorithm;
        this.compression = compression;
        this.authorize = authorize;
        this.agents = agents;
    }
    return AddRemoteHostParams;
})();
exports.AddRemoteHostParams = AddRemoteHostParams;
var AddRemoveSuccessData = (function () {
    function AddRemoveSuccessData(message, currentItems) {
        this.message = message;
        this.currentItems = currentItems;
    }
    return AddRemoveSuccessData;
})();
exports.AddRemoveSuccessData = AddRemoveSuccessData;
var AddServerParams = (function () {
    function AddServerParams(host, ctm, id, port) {
        this.host = host;
        this.ctm = ctm;
        this.id = id;
        this.port = port;
    }
    return AddServerParams;
})();
exports.AddServerParams = AddServerParams;
var AgentData = (function () {
    function AgentData(name, host, nodeID, ctm, ctmHost, currentState, status, statusMessage, operatingSystem, version, lastUpdate, communicationVersion, label, sslState, connectors) {
        this.name = name;
        this.host = host;
        this.nodeID = nodeID;
        this.ctm = ctm;
        this.ctmHost = ctmHost;
        this.currentState = currentState;
        this.status = status;
        this.statusMessage = statusMessage;
        this.operatingSystem = operatingSystem;
        this.version = version;
        this.lastUpdate = lastUpdate;
        this.communicationVersion = communicationVersion;
        this.label = label;
        this.sslState = sslState;
        this.connectors = connectors;
    }
    return AgentData;
})();
exports.AgentData = AgentData;
var AgentDetails = (function () {
    function AgentDetails(nodeid, status) {
        this.nodeid = nodeid;
        this.status = status;
    }
    return AgentDetails;
})();
exports.AgentDetails = AgentDetails;
var AgentDetailsList = (function () {
    function AgentDetailsList(agents) {
        this.agents = agents;
    }
    return AgentDetailsList;
})();
exports.AgentDetailsList = AgentDetailsList;
var AgentInGroupParams = (function () {
    function AgentInGroupParams(host, hostgroupAgentParticipation) {
        this.host = host;
        this.hostgroupAgentParticipation = hostgroupAgentParticipation;
    }
    return AgentInGroupParams;
})();
exports.AgentInGroupParams = AgentInGroupParams;
var AgentMngAuth = (function () {
    function AgentMngAuth(controlmServer, agent, privilege) {
        this.controlmServer = controlmServer;
        this.agent = agent;
        this.privilege = privilege;
    }
    return AgentMngAuth;
})();
exports.AgentMngAuth = AgentMngAuth;
var AgentsDataList = (function (_super) {
    __extends(AgentsDataList, _super);
    function AgentsDataList() {
        _super.call(this);
    }
    return AgentsDataList;
})(Array);
exports.AgentsDataList = AgentsDataList;
var AgentsInGroupListResult = (function (_super) {
    __extends(AgentsInGroupListResult, _super);
    function AgentsInGroupListResult() {
        _super.call(this);
    }
    return AgentsInGroupListResult;
})(Array);
exports.AgentsInGroupListResult = AgentsInGroupListResult;
var AgentsInGroupSuccessData = (function () {
    function AgentsInGroupSuccessData(message, agents) {
        this.message = message;
        this.agents = agents;
    }
    return AgentsInGroupSuccessData;
})();
exports.AgentsInGroupSuccessData = AgentsInGroupSuccessData;
var AiDeployResponse = (function () {
    function AiDeployResponse(message) {
        this.message = message;
    }
    return AiDeployResponse;
})();
exports.AiDeployResponse = AiDeployResponse;
var AiError = (function () {
    function AiError(message, status) {
        this.message = message;
        this.status = status;
    }
    return AiError;
})();
exports.AiError = AiError;
var AiJobtype = (function () {
    function AiJobtype(jobTypeName, jobTypeId, status, description) {
        this.jobTypeName = jobTypeName;
        this.jobTypeId = jobTypeId;
        this.status = status;
        this.description = description;
    }
    return AiJobtype;
})();
exports.AiJobtype = AiJobtype;
var AiJobtypeList = (function () {
    function AiJobtypeList(jobtypes) {
        this.jobtypes = jobtypes;
    }
    return AiJobtypeList;
})();
exports.AiJobtypeList = AiJobtypeList;
var AllowedJobActions = (function () {
    function AllowedJobActions(viewProperties, documentation, log, statistics, viewOutputList, viewJcl, why, hold, free, confirm, rerun, react, restart, kill, bypass, _delete, undelete, setToOk, editProperties, editJcl) {
        this.viewProperties = viewProperties;
        this.documentation = documentation;
        this.log = log;
        this.statistics = statistics;
        this.viewOutputList = viewOutputList;
        this.viewJcl = viewJcl;
        this.why = why;
        this.hold = hold;
        this.free = free;
        this.confirm = confirm;
        this.rerun = rerun;
        this.react = react;
        this.restart = restart;
        this.kill = kill;
        this.bypass = bypass;
        this._delete = _delete;
        this.undelete = undelete;
        this.setToOk = setToOk;
        this.editProperties = editProperties;
        this.editJcl = editJcl;
    }
    return AllowedJobActions;
})();
exports.AllowedJobActions = AllowedJobActions;
var AllowedJobs = (function () {
    function AllowedJobs(included, excluded) {
        this.included = included;
        this.excluded = excluded;
    }
    return AllowedJobs;
})();
exports.AllowedJobs = AllowedJobs;
var App = (function () {
    function App(displayname, name, desc, defaultType, lastModified, createdOn, createdBy) {
        this.displayname = displayname;
        this.name = name;
        this.desc = desc;
        this.defaultType = defaultType;
        this.lastModified = lastModified;
        this.createdOn = createdOn;
        this.createdBy = createdBy;
    }
    return App;
})();
exports.App = App;
var AppDeployResponse = (function () {
    function AppDeployResponse(status, message, agentName) {
        this.status = status;
        this.message = message;
        this.agentName = agentName;
    }
    return AppDeployResponse;
})();
exports.AppDeployResponse = AppDeployResponse;
var AppDeployed = (function () {
    function AppDeployed(displayname, name, version, defaultType, lastDeployed, createdOn, createdBy) {
        this.displayname = displayname;
        this.name = name;
        this.version = version;
        this.defaultType = defaultType;
        this.lastDeployed = lastDeployed;
        this.createdOn = createdOn;
        this.createdBy = createdBy;
    }
    return AppDeployed;
})();
exports.AppDeployed = AppDeployed;
var AppList = (function () {
    function AppList(appNames, deployedNames) {
        this.appNames = appNames;
        this.deployedNames = deployedNames;
    }
    return AppList;
})();
exports.AppList = AppList;
var AppPredeployResponse = (function () {
    function AppPredeployResponse(appName, readyStatus) {
        this.appName = appName;
        this.readyStatus = readyStatus;
    }
    return AppPredeployResponse;
})();
exports.AppPredeployResponse = AppPredeployResponse;
var ArchiveJobsList = (function () {
    function ArchiveJobsList(jobs, total, isMoreJobsMatchTheSearch) {
        this.jobs = jobs;
        this.total = total;
        this.isMoreJobsMatchTheSearch = isMoreJobsMatchTheSearch;
    }
    return ArchiveJobsList;
})();
exports.ArchiveJobsList = ArchiveJobsList;
var ArchiveRule = (function () {
    function ArchiveRule(name, description, maxOutputSize, maxOutputSizeType, trimType, retention, retentionType, isActive, archivedType, ruleParameters) {
        this.name = name;
        this.description = description;
        this.maxOutputSize = maxOutputSize;
        this.maxOutputSizeType = maxOutputSizeType;
        this.trimType = trimType;
        this.retention = retention;
        this.retentionType = retentionType;
        this.isActive = isActive;
        this.archivedType = archivedType;
        this.ruleParameters = ruleParameters;
    }
    return ArchiveRule;
})();
exports.ArchiveRule = ArchiveRule;
var ArchiveRulesList = (function () {
    function ArchiveRulesList(rules) {
        this.rules = rules;
    }
    return ArchiveRulesList;
})();
exports.ArchiveRulesList = ArchiveRulesList;
var As2KeyData = (function () {
    function As2KeyData(as2Id, certificate, destinationFolder) {
        this.as2Id = as2Id;
        this.certificate = certificate;
        this.destinationFolder = destinationFolder;
    }
    return As2KeyData;
})();
exports.As2KeyData = As2KeyData;
var AssociateData = (function () {
    function AssociateData(type, name) {
        this.type = type;
        this.name = name;
    }
    return AssociateData;
})();
exports.AssociateData = AssociateData;
var AuthenticationData = (function () {
    function AuthenticationData(controlM, externalProvider) {
        this.controlM = controlM;
        this.externalProvider = externalProvider;
    }
    return AuthenticationData;
})();
exports.AuthenticationData = AuthenticationData;
var CPMngAuth = (function () {
    function CPMngAuth(controlmServer, agent, pluginType, name, privilege) {
        this.controlmServer = controlmServer;
        this.agent = agent;
        this.pluginType = pluginType;
        this.name = name;
        this.privilege = privilege;
    }
    return CPMngAuth;
})();
exports.CPMngAuth = CPMngAuth;
var ClientAccessPrivilegeCategory = (function () {
    function ClientAccessPrivilegeCategory(selfServiceAccess, workloadChangeManagerAccess, utilitiesAccess, applicationIntegratorAccess) {
        this.selfServiceAccess = selfServiceAccess;
        this.workloadChangeManagerAccess = workloadChangeManagerAccess;
        this.utilitiesAccess = utilitiesAccess;
        this.applicationIntegratorAccess = applicationIntegratorAccess;
    }
    return ClientAccessPrivilegeCategory;
})();
exports.ClientAccessPrivilegeCategory = ClientAccessPrivilegeCategory;
var ComponentKeyWithStatusType = (function () {
    function ComponentKeyWithStatusType(componentKey, status) {
        this.componentKey = componentKey;
        this.status = status;
    }
    return ComponentKeyWithStatusType;
})();
exports.ComponentKeyWithStatusType = ComponentKeyWithStatusType;
var ComponentMetaDataProperties = (function () {
    function ComponentMetaDataProperties(displayName, displayNameID, name, sections) {
        this.displayName = displayName;
        this.displayNameID = displayNameID;
        this.name = name;
        this.sections = sections;
    }
    return ComponentMetaDataProperties;
})();
exports.ComponentMetaDataProperties = ComponentMetaDataProperties;
var ComponentMftKeyType = (function () {
    function ComponentMftKeyType(type, name, host, nodeId, applType, applVer, cmVer) {
        this.type = type;
        this.name = name;
        this.host = host;
        this.nodeId = nodeId;
        this.applType = applType;
        this.applVer = applVer;
        this.cmVer = cmVer;
    }
    return ComponentMftKeyType;
})();
exports.ComponentMftKeyType = ComponentMftKeyType;
var ConditionProperties = (function () {
    function ConditionProperties(key, operator, value) {
        this.key = key;
        this.operator = operator;
        this.value = value;
    }
    return ConditionProperties;
})();
exports.ConditionProperties = ConditionProperties;
var ConfigurationManagerPrivilegeCategory = (function () {
    function ConfigurationManagerPrivilegeCategory(authorization, configurationManagerAccess, configuration, operation, database, controlmSecurity) {
        this.authorization = authorization;
        this.configurationManagerAccess = configurationManagerAccess;
        this.configuration = configuration;
        this.operation = operation;
        this.database = database;
        this.controlmSecurity = controlmSecurity;
    }
    return ConfigurationManagerPrivilegeCategory;
})();
exports.ConfigurationManagerPrivilegeCategory = ConfigurationManagerPrivilegeCategory;
var ConnectionProfileDeploymentInfo = (function () {
    function ConnectionProfileDeploymentInfo(ctmName, status, statusCode, lastUpdate, message) {
        this.ctmName = ctmName;
        this.status = status;
        this.statusCode = statusCode;
        this.lastUpdate = lastUpdate;
        this.message = message;
    }
    return ConnectionProfileDeploymentInfo;
})();
exports.ConnectionProfileDeploymentInfo = ConnectionProfileDeploymentInfo;
var ConnectionProfileStatus = (function () {
    function ConnectionProfileStatus(name, type, description, timeModified, timeCreated, creatorName, modifierName, syncStatus) {
        this.name = name;
        this.type = type;
        this.description = description;
        this.timeModified = timeModified;
        this.timeCreated = timeCreated;
        this.creatorName = creatorName;
        this.modifierName = modifierName;
        this.syncStatus = syncStatus;
    }
    return ConnectionProfileStatus;
})();
exports.ConnectionProfileStatus = ConnectionProfileStatus;
var ConnectionProfilesDeploymentStatusResult = (function () {
    function ConnectionProfilesDeploymentStatusResult(deploymentStatus, deploymentInfo) {
        this.deploymentStatus = deploymentStatus;
        this.deploymentInfo = deploymentInfo;
    }
    return ConnectionProfilesDeploymentStatusResult;
})();
exports.ConnectionProfilesDeploymentStatusResult = ConnectionProfilesDeploymentStatusResult;
var ConnectionProfilesStatusResult = (function () {
    function ConnectionProfilesStatusResult(statuses, returned, total) {
        this.statuses = statuses;
        this.returned = returned;
        this.total = total;
    }
    return ConnectionProfilesStatusResult;
})();
exports.ConnectionProfilesStatusResult = ConnectionProfilesStatusResult;
var ConnectorData = (function () {
    function ConnectorData(applicationType, applicationVersion, connectorVersion, version, currentState, status, statusMessage, lastUpdate, b2bActivated) {
        this.applicationType = applicationType;
        this.applicationVersion = applicationVersion;
        this.connectorVersion = connectorVersion;
        this.version = version;
        this.currentState = currentState;
        this.status = status;
        this.statusMessage = statusMessage;
        this.lastUpdate = lastUpdate;
        this.b2bActivated = b2bActivated;
    }
    return ConnectorData;
})();
exports.ConnectorData = ConnectorData;
var ControlMAuthenticationData = (function () {
    function ControlMAuthenticationData(password, passwordExpirationDays, changePasswordAtNextLogin, lockAccount) {
        this.password = password;
        this.passwordExpirationDays = passwordExpirationDays;
        this.changePasswordAtNextLogin = changePasswordAtNextLogin;
        this.lockAccount = lockAccount;
    }
    return ControlMAuthenticationData;
})();
exports.ControlMAuthenticationData = ControlMAuthenticationData;
var CtmDetails = (function () {
    function CtmDetails(name, host, state, message) {
        this.name = name;
        this.host = host;
        this.state = state;
        this.message = message;
    }
    return CtmDetails;
})();
exports.CtmDetails = CtmDetails;
var CtmDetailsList = (function (_super) {
    __extends(CtmDetailsList, _super);
    function CtmDetailsList() {
        _super.call(this);
    }
    return CtmDetailsList;
})(Array);
exports.CtmDetailsList = CtmDetailsList;
var DeploymentFileError = (function () {
    function DeploymentFileError(lines) {
        this.lines = lines;
    }
    return DeploymentFileError;
})();
exports.DeploymentFileError = DeploymentFileError;
var DeploymentFileResults = (function () {
    function DeploymentFileResults(deploymentFile, successfulFoldersCount, successfulSmartFoldersCount, successfulSubFoldersCount, successfulJobsCount, successfulConnectionProfilesCount, successfulDriversCount, isDeployDescriptorValid, deployedFolders, deployedJobs, deployedDrivers, deployedConnectionProfiles, errors) {
        this.deploymentFile = deploymentFile;
        this.successfulFoldersCount = successfulFoldersCount;
        this.successfulSmartFoldersCount = successfulSmartFoldersCount;
        this.successfulSubFoldersCount = successfulSubFoldersCount;
        this.successfulJobsCount = successfulJobsCount;
        this.successfulConnectionProfilesCount = successfulConnectionProfilesCount;
        this.successfulDriversCount = successfulDriversCount;
        this.isDeployDescriptorValid = isDeployDescriptorValid;
        this.deployedFolders = deployedFolders;
        this.deployedJobs = deployedJobs;
        this.deployedDrivers = deployedDrivers;
        this.deployedConnectionProfiles = deployedConnectionProfiles;
        this.errors = errors;
    }
    return DeploymentFileResults;
})();
exports.DeploymentFileResults = DeploymentFileResults;
var ErrorData = (function () {
    function ErrorData(message, id, item, file, line, col) {
        this.message = message;
        this.id = id;
        this.item = item;
        this.file = file;
        this.line = line;
        this.col = col;
    }
    return ErrorData;
})();
exports.ErrorData = ErrorData;
var ErrorList = (function () {
    function ErrorList(errors) {
        this.errors = errors;
    }
    return ErrorList;
})();
exports.ErrorList = ErrorList;
var Event = (function () {
    function Event(name, ctm, date) {
        this.name = name;
        this.ctm = ctm;
        this.date = date;
    }
    return Event;
})();
exports.Event = Event;
var EventParam = (function () {
    function EventParam(name, date) {
        this.name = name;
        this.date = date;
    }
    return EventParam;
})();
exports.EventParam = EventParam;
var EventSet = (function (_super) {
    __extends(EventSet, _super);
    function EventSet() {
        _super.call(this);
    }
    return EventSet;
})(Array);
exports.EventSet = EventSet;
var ExternalProviderAuthenticationData = (function () {
    function ExternalProviderAuthenticationData(ldapUserAndDomain) {
        this.ldapUserAndDomain = ldapUserAndDomain;
    }
    return ExternalProviderAuthenticationData;
})();
exports.ExternalProviderAuthenticationData = ExternalProviderAuthenticationData;
var ExternalUserData = (function () {
    function ExternalUserData(name, email, company, password, description, phoneNumber, sshKey, as2Key) {
        this.name = name;
        this.email = email;
        this.company = company;
        this.password = password;
        this.description = description;
        this.phoneNumber = phoneNumber;
        this.sshKey = sshKey;
        this.as2Key = as2Key;
    }
    return ExternalUserData;
})();
exports.ExternalUserData = ExternalUserData;
var FieldMetadataProperties = (function () {
    function FieldMetadataProperties(controlType, dataType, displayName, displayNameID, falseValue, hashedPassword, hideIf, key, name, needRestart, needRestartMessage, needRestartMessageID, placeholder, placeholderID, possibleValues, profiles, settingChangedEventTypes, showIf, tooltip, tooltipID, trueValue, unitsLabel, unitsLabelID, validations) {
        this.controlType = controlType;
        this.dataType = dataType;
        this.displayName = displayName;
        this.displayNameID = displayNameID;
        this.falseValue = falseValue;
        this.hashedPassword = hashedPassword;
        this.hideIf = hideIf;
        this.key = key;
        this.name = name;
        this.needRestart = needRestart;
        this.needRestartMessage = needRestartMessage;
        this.needRestartMessageID = needRestartMessageID;
        this.placeholder = placeholder;
        this.placeholderID = placeholderID;
        this.possibleValues = possibleValues;
        this.profiles = profiles;
        this.settingChangedEventTypes = settingChangedEventTypes;
        this.showIf = showIf;
        this.tooltip = tooltip;
        this.tooltipID = tooltipID;
        this.trueValue = trueValue;
        this.unitsLabel = unitsLabel;
        this.unitsLabelID = unitsLabelID;
        this.validations = validations;
    }
    return FieldMetadataProperties;
})();
exports.FieldMetadataProperties = FieldMetadataProperties;
var FolderAuth = (function () {
    function FolderAuth(privilege, controlmServer, library, folder, order, jobs) {
        this.privilege = privilege;
        this.controlmServer = controlmServer;
        this.library = library;
        this.folder = folder;
        this.order = order;
        this.jobs = jobs;
    }
    return FolderAuth;
})();
exports.FolderAuth = FolderAuth;
var FolderPropertiesData = (function () {
    function FolderPropertiesData(name, authorizedInternalUsers, authorizedExternalUsersAndGroups, deleteFilesAfterDownload, notifyByEmailWhenFileArrive, retentionPolicy, sizeLimit, allowedFilePattern, blockedFilePattern) {
        this.name = name;
        this.authorizedInternalUsers = authorizedInternalUsers;
        this.authorizedExternalUsersAndGroups = authorizedExternalUsersAndGroups;
        this.deleteFilesAfterDownload = deleteFilesAfterDownload;
        this.notifyByEmailWhenFileArrive = notifyByEmailWhenFileArrive;
        this.retentionPolicy = retentionPolicy;
        this.sizeLimit = sizeLimit;
        this.allowedFilePattern = allowedFilePattern;
        this.blockedFilePattern = blockedFilePattern;
    }
    return FolderPropertiesData;
})();
exports.FolderPropertiesData = FolderPropertiesData;
var FoldersUsersSettingsAndMetadataProperties = (function () {
    function FoldersUsersSettingsAndMetadataProperties(folders, settings, settingsMetadata, users, groups) {
        this.folders = folders;
        this.settings = settings;
        this.settingsMetadata = settingsMetadata;
        this.users = users;
        this.groups = groups;
    }
    return FoldersUsersSettingsAndMetadataProperties;
})();
exports.FoldersUsersSettingsAndMetadataProperties = FoldersUsersSettingsAndMetadataProperties;
var HostgroupAgentParticipation = (function () {
    function HostgroupAgentParticipation(event, orderDate) {
        this.event = event;
        this.orderDate = orderDate;
    }
    return HostgroupAgentParticipation;
})();
exports.HostgroupAgentParticipation = HostgroupAgentParticipation;
var JobLevelAuth = (function () {
    function JobLevelAuth(privilege, application, subApplication) {
        this.privilege = privilege;
        this.application = application;
        this.subApplication = subApplication;
    }
    return JobLevelAuth;
})();
exports.JobLevelAuth = JobLevelAuth;
var JobRunStatus = (function () {
    function JobRunStatus(jobId, folderId, numberOfRuns, name, folder, type, status, held, deleted, startTime, endTime, estimatedStartTime, estimatedEndTime, orderDate, ctm, description, host, application, subApplication, jobJSON, outputURI, logURI) {
        this.jobId = jobId;
        this.folderId = folderId;
        this.numberOfRuns = numberOfRuns;
        this.name = name;
        this.folder = folder;
        this.type = type;
        this.status = status;
        this.held = held;
        this.deleted = deleted;
        this.startTime = startTime;
        this.endTime = endTime;
        this.estimatedStartTime = estimatedStartTime;
        this.estimatedEndTime = estimatedEndTime;
        this.orderDate = orderDate;
        this.ctm = ctm;
        this.description = description;
        this.host = host;
        this.application = application;
        this.subApplication = subApplication;
        this.jobJSON = jobJSON;
        this.outputURI = outputURI;
        this.logURI = logURI;
    }
    return JobRunStatus;
})();
exports.JobRunStatus = JobRunStatus;
var JobStatusResult = (function () {
    function JobStatusResult(statuses, startIndex, itemsPerPage, returned, total, sort, nextURI, prevURI, monitorPageURI) {
        this.statuses = statuses;
        this.startIndex = startIndex;
        this.itemsPerPage = itemsPerPage;
        this.returned = returned;
        this.total = total;
        this.sort = sort;
        this.nextURI = nextURI;
        this.prevURI = prevURI;
        this.monitorPageURI = monitorPageURI;
    }
    return JobStatusResult;
})();
exports.JobStatusResult = JobStatusResult;
var KeyValue = (function () {
    function KeyValue(name, value, defaultValue) {
        this.name = name;
        this.value = value;
        this.defaultValue = defaultValue;
    }
    return KeyValue;
})();
exports.KeyValue = KeyValue;
var KeyValueListResult = (function (_super) {
    __extends(KeyValueListResult, _super);
    function KeyValueListResult() {
        _super.call(this);
    }
    return KeyValueListResult;
})(Array);
exports.KeyValueListResult = KeyValueListResult;
var Log = (function () {
    function Log(log) {
        this.log = log;
    }
    return Log;
})();
exports.Log = Log;
var LogParams = (function () {
    function LogParams(ctm, orderId, numberOfRuns, logTable) {
        this.ctm = ctm;
        this.orderId = orderId;
        this.numberOfRuns = numberOfRuns;
        this.logTable = logTable;
    }
    return LogParams;
})();
exports.LogParams = LogParams;
var LoginCredentials = (function () {
    function LoginCredentials(username, password) {
        this.username = username;
        this.password = password;
    }
    return LoginCredentials;
})();
exports.LoginCredentials = LoginCredentials;
var LoginResult = (function () {
    function LoginResult(username, token, version) {
        this.username = username;
        this.token = token;
        this.version = version;
    }
    return LoginResult;
})();
exports.LoginResult = LoginResult;
var Matching = (function (_super) {
    __extends(Matching, _super);
    function Matching() {
        _super.call(this);
    }
    return Matching;
})(Array);
exports.Matching = Matching;
var MonitoringPrivilegeCategory = (function () {
    function MonitoringPrivilegeCategory(alert, viewpointArchive) {
        this.alert = alert;
        this.viewpointArchive = viewpointArchive;
    }
    return MonitoringPrivilegeCategory;
})();
exports.MonitoringPrivilegeCategory = MonitoringPrivilegeCategory;
var NewSample = (function () {
    function NewSample(title, description) {
        this.title = title;
        this.description = description;
    }
    return NewSample;
})();
exports.NewSample = NewSample;
var OrderFolderParameters = (function () {
    function OrderFolderParameters(ctm, folder, jobs, library, createDuplicate, hold, ignoreCriteria, independentFlow, orderDate, orderIntoFolder, waitForOrderDate, variables) {
        this.ctm = ctm;
        this.folder = folder;
        this.jobs = jobs;
        this.library = library;
        this.createDuplicate = createDuplicate;
        this.hold = hold;
        this.ignoreCriteria = ignoreCriteria;
        this.independentFlow = independentFlow;
        this.orderDate = orderDate;
        this.orderIntoFolder = orderIntoFolder;
        this.waitForOrderDate = waitForOrderDate;
        this.variables = variables;
    }
    return OrderFolderParameters;
})();
exports.OrderFolderParameters = OrderFolderParameters;
var Output = (function () {
    function Output(output) {
        this.output = output;
    }
    return Output;
})();
exports.Output = Output;
var OutputParams = (function () {
    function OutputParams(ctm, orderId, numberOfRuns, outputTable) {
        this.ctm = ctm;
        this.orderId = orderId;
        this.numberOfRuns = numberOfRuns;
        this.outputTable = outputTable;
    }
    return OutputParams;
})();
exports.OutputParams = OutputParams;
var PasswordsObject = (function () {
    function PasswordsObject(user, currentPassword, newPassword) {
        this.user = user;
        this.currentPassword = currentPassword;
        this.newPassword = newPassword;
    }
    return PasswordsObject;
})();
exports.PasswordsObject = PasswordsObject;
var PingAgentParams = (function () {
    function PingAgentParams(discover, timeout) {
        this.discover = discover;
        this.timeout = timeout;
    }
    return PingAgentParams;
})();
exports.PingAgentParams = PingAgentParams;
var PlanningPrivilegeCategory = (function () {
    function PlanningPrivilegeCategory(periodicalStatistics, forecastOrBatchImpactManagerConfig, promotionRules, promoteAction) {
        this.periodicalStatistics = periodicalStatistics;
        this.forecastOrBatchImpactManagerConfig = forecastOrBatchImpactManagerConfig;
        this.promotionRules = promotionRules;
        this.promoteAction = promoteAction;
    }
    return PlanningPrivilegeCategory;
})();
exports.PlanningPrivilegeCategory = PlanningPrivilegeCategory;
var PluginMngAuth = (function () {
    function PluginMngAuth(controlmServer, agent, pluginType, privilege) {
        this.controlmServer = controlmServer;
        this.agent = agent;
        this.pluginType = pluginType;
        this.privilege = privilege;
    }
    return PluginMngAuth;
})();
exports.PluginMngAuth = PluginMngAuth;
var PossibleValueProperties = (function () {
    function PossibleValueProperties(label, labelID, value) {
        this.label = label;
        this.labelID = labelID;
        this.value = value;
    }
    return PossibleValueProperties;
})();
exports.PossibleValueProperties = PossibleValueProperties;
var PrivilegeName = (function () {
    function PrivilegeName(privilege, name) {
        this.privilege = privilege;
        this.name = name;
    }
    return PrivilegeName;
})();
exports.PrivilegeName = PrivilegeName;
var PrivilegeNameControlm = (function () {
    function PrivilegeNameControlm(privilege, controlmServer, name) {
        this.privilege = privilege;
        this.controlmServer = controlmServer;
        this.name = name;
    }
    return PrivilegeNameControlm;
})();
exports.PrivilegeNameControlm = PrivilegeNameControlm;
var Privileges = (function () {
    function Privileges(clientAccess, configurationManager, monitoring, planning, tools, viewpointManager) {
        this.clientAccess = clientAccess;
        this.configurationManager = configurationManager;
        this.monitoring = monitoring;
        this.planning = planning;
        this.tools = tools;
        this.viewpointManager = viewpointManager;
    }
    return Privileges;
})();
exports.Privileges = Privileges;
var ProvisionAdvanceParameters = (function () {
    function ProvisionAdvanceParameters(connectionInitiator) {
        this.connectionInitiator = connectionInitiator;
    }
    return ProvisionAdvanceParameters;
})();
exports.ProvisionAdvanceParameters = ProvisionAdvanceParameters;
var RawCmsXmlRequest = (function () {
    function RawCmsXmlRequest(rawXmlRequest) {
        this.rawXmlRequest = rawXmlRequest;
    }
    return RawCmsXmlRequest;
})();
exports.RawCmsXmlRequest = RawCmsXmlRequest;
var RemoveRuleData = (function () {
    function RemoveRuleData(removeRuleData) {
        this.removeRuleData = removeRuleData;
    }
    return RemoveRuleData;
})();
exports.RemoveRuleData = RemoveRuleData;
var ReportDateTimeSettings = (function () {
    function ReportDateTimeSettings(dateFormat, timeFormat, dateTimeFormat) {
        this.dateFormat = dateFormat;
        this.timeFormat = timeFormat;
        this.dateTimeFormat = dateTimeFormat;
    }
    return ReportDateTimeSettings;
})();
exports.ReportDateTimeSettings = ReportDateTimeSettings;
var ReportFilter = (function () {
    function ReportFilter(name, value) {
        this.name = name;
        this.value = value;
    }
    return ReportFilter;
})();
exports.ReportFilter = ReportFilter;
var ReportFilters = (function (_super) {
    __extends(ReportFilters, _super);
    function ReportFilters() {
        _super.call(this);
    }
    return ReportFilters;
})(Array);
exports.ReportFilters = ReportFilters;
var ReportResult = (function () {
    function ReportResult(reportURL) {
        this.reportURL = reportURL;
    }
    return ReportResult;
})();
exports.ReportResult = ReportResult;
var ResourceMax = (function () {
    function ResourceMax(max) {
        this.max = max;
    }
    return ResourceMax;
})();
exports.ResourceMax = ResourceMax;
var ResourceObj = (function () {
    function ResourceObj(name, ctm, available, max, workloadPolicy) {
        this.name = name;
        this.ctm = ctm;
        this.available = available;
        this.max = max;
        this.workloadPolicy = workloadPolicy;
    }
    return ResourceObj;
})();
exports.ResourceObj = ResourceObj;
var ResourceParam = (function () {
    function ResourceParam(name, max) {
        this.name = name;
        this.max = max;
    }
    return ResourceParam;
})();
exports.ResourceParam = ResourceParam;
var ResourceSet = (function (_super) {
    __extends(ResourceSet, _super);
    function ResourceSet() {
        _super.call(this);
    }
    return ResourceSet;
})(Array);
exports.ResourceSet = ResourceSet;
var RoleData = (function () {
    function RoleData(name, description, allowedJobs, allowedJobActions, privileges, folders, calendars, runasUsers, workloadPolicies, siteStandard, siteCustomization, services, events, mutexes, semaphores, globalEvents, agentManagement, pluginManagement, connectionProfileManagement, runasDefinitionManagement) {
        this.name = name;
        this.description = description;
        this.allowedJobs = allowedJobs;
        this.allowedJobActions = allowedJobActions;
        this.privileges = privileges;
        this.folders = folders;
        this.calendars = calendars;
        this.runasUsers = runasUsers;
        this.workloadPolicies = workloadPolicies;
        this.siteStandard = siteStandard;
        this.siteCustomization = siteCustomization;
        this.services = services;
        this.events = events;
        this.mutexes = mutexes;
        this.semaphores = semaphores;
        this.globalEvents = globalEvents;
        this.agentManagement = agentManagement;
        this.pluginManagement = pluginManagement;
        this.connectionProfileManagement = connectionProfileManagement;
        this.runasDefinitionManagement = runasDefinitionManagement;
    }
    return RoleData;
})();
exports.RoleData = RoleData;
var RoleHeader = (function () {
    function RoleHeader(name, description) {
        this.name = name;
        this.description = description;
    }
    return RoleHeader;
})();
exports.RoleHeader = RoleHeader;
var RoleHeaderList = (function (_super) {
    __extends(RoleHeaderList, _super);
    function RoleHeaderList() {
        _super.call(this);
    }
    return RoleHeaderList;
})(Array);
exports.RoleHeaderList = RoleHeaderList;
var RuleCriteria = (function () {
    function RuleCriteria(field, criteria, exceptions) {
        this.field = field;
        this.criteria = criteria;
        this.exceptions = exceptions;
    }
    return RuleCriteria;
})();
exports.RuleCriteria = RuleCriteria;
var RuleStatistics = (function () {
    function RuleStatistics(ruleName, retention, retentionType, oldestItem, newestItem, totalJobs, dataSize) {
        this.ruleName = ruleName;
        this.retention = retention;
        this.retentionType = retentionType;
        this.oldestItem = oldestItem;
        this.newestItem = newestItem;
        this.totalJobs = totalJobs;
        this.dataSize = dataSize;
    }
    return RuleStatistics;
})();
exports.RuleStatistics = RuleStatistics;
var RuleStatistics;
(function (RuleStatistics) {
    (function (RetentionTypeEnum) {
        RetentionTypeEnum[RetentionTypeEnum["Years"] = 'Years'] = "Years";
        RetentionTypeEnum[RetentionTypeEnum["Months"] = 'Months'] = "Months";
        RetentionTypeEnum[RetentionTypeEnum["Days"] = 'Days'] = "Days";
    })(RuleStatistics.RetentionTypeEnum || (RuleStatistics.RetentionTypeEnum = {}));
    var RetentionTypeEnum = RuleStatistics.RetentionTypeEnum;
})(RuleStatistics = exports.RuleStatistics || (exports.RuleStatistics = {}));
var RulesStatisticList = (function () {
    function RulesStatisticList(ruleStatistics) {
        this.ruleStatistics = ruleStatistics;
    }
    return RulesStatisticList;
})();
exports.RulesStatisticList = RulesStatisticList;
var RulesStatisticListSummary = (function () {
    function RulesStatisticListSummary(rulesStatisticList, summary) {
        this.rulesStatisticList = rulesStatisticList;
        this.summary = summary;
    }
    return RulesStatisticListSummary;
})();
exports.RulesStatisticListSummary = RulesStatisticListSummary;
var RunAsUserData = (function () {
    function RunAsUserData(agent, user, password, key) {
        this.agent = agent;
        this.user = user;
        this.password = password;
        this.key = key;
    }
    return RunAsUserData;
})();
exports.RunAsUserData = RunAsUserData;
var RunAsUserDetailsData = (function () {
    function RunAsUserDetailsData(password, key) {
        this.password = password;
        this.key = key;
    }
    return RunAsUserDetailsData;
})();
exports.RunAsUserDetailsData = RunAsUserDetailsData;
var RunAsUserKeyData = (function () {
    function RunAsUserKeyData(keyname, passphrase) {
        this.keyname = keyname;
        this.passphrase = passphrase;
    }
    return RunAsUserKeyData;
})();
exports.RunAsUserKeyData = RunAsUserKeyData;
var RunAsUsersList = (function (_super) {
    __extends(RunAsUsersList, _super);
    function RunAsUsersList() {
        _super.call(this);
    }
    return RunAsUsersList;
})(Array);
exports.RunAsUsersList = RunAsUsersList;
var RunReport = (function () {
    function RunReport(name, format, filters, dateTimeFormats) {
        this.name = name;
        this.format = format;
        this.filters = filters;
        this.dateTimeFormats = dateTimeFormats;
    }
    return RunReport;
})();
exports.RunReport = RunReport;
var RunReportInfo = (function () {
    function RunReportInfo(reportId, name, format, status, url) {
        this.reportId = reportId;
        this.name = name;
        this.format = format;
        this.status = status;
        this.url = url;
    }
    return RunReportInfo;
})();
exports.RunReportInfo = RunReportInfo;
var RunResult = (function () {
    function RunResult(runId, statusURI, monitorPageURI) {
        this.runId = runId;
        this.statusURI = statusURI;
        this.monitorPageURI = monitorPageURI;
    }
    return RunResult;
})();
exports.RunResult = RunResult;
var RunasDefinitionAuth = (function () {
    function RunasDefinitionAuth(controlmServer, privilege) {
        this.controlmServer = controlmServer;
        this.privilege = privilege;
    }
    return RunasDefinitionAuth;
})();
exports.RunasDefinitionAuth = RunasDefinitionAuth;
var RunasUserAuth = (function () {
    function RunasUserAuth(controlmServer, runasUser, host) {
        this.controlmServer = controlmServer;
        this.runasUser = runasUser;
        this.host = host;
    }
    return RunasUserAuth;
})();
exports.RunasUserAuth = RunasUserAuth;
var Sample = (function () {
    function Sample(id, title, description) {
        this.id = id;
        this.title = title;
        this.description = description;
    }
    return Sample;
})();
exports.Sample = Sample;
var SamplesLoadData = (function () {
    function SamplesLoadData(contentType, filename, size, content) {
        this.contentType = contentType;
        this.filename = filename;
        this.size = size;
        this.content = content;
    }
    return SamplesLoadData;
})();
exports.SamplesLoadData = SamplesLoadData;
var SearchParams = (function () {
    function SearchParams(ctm, jobName, app, subApp, folder, status, lib, limit, logContains, outputContains, memLib, memName, nodeGroup, nodeId, fromOrderDate, toOrderDate, orderId, runAs, startDate, endDate) {
        this.ctm = ctm;
        this.jobName = jobName;
        this.app = app;
        this.subApp = subApp;
        this.folder = folder;
        this.status = status;
        this.lib = lib;
        this.limit = limit;
        this.logContains = logContains;
        this.outputContains = outputContains;
        this.memLib = memLib;
        this.memName = memName;
        this.nodeGroup = nodeGroup;
        this.nodeId = nodeId;
        this.fromOrderDate = fromOrderDate;
        this.toOrderDate = toOrderDate;
        this.orderId = orderId;
        this.runAs = runAs;
        this.startDate = startDate;
        this.endDate = endDate;
    }
    return SearchParams;
})();
exports.SearchParams = SearchParams;
var SearchParams;
(function (SearchParams) {
    (function (StatusEnum) {
        StatusEnum[StatusEnum["OK"] = 'OK'] = "OK";
        StatusEnum[StatusEnum["NOTOK"] = 'NOTOK'] = "NOTOK";
        StatusEnum[StatusEnum["ALL"] = 'ALL'] = "ALL";
    })(SearchParams.StatusEnum || (SearchParams.StatusEnum = {}));
    var StatusEnum = SearchParams.StatusEnum;
})(SearchParams = exports.SearchParams || (exports.SearchParams = {}));
var SecretKeyValue = (function () {
    function SecretKeyValue(name, value) {
        this.name = name;
        this.value = value;
    }
    return SecretKeyValue;
})();
exports.SecretKeyValue = SecretKeyValue;
var SecretValue = (function () {
    function SecretValue(value) {
        this.value = value;
    }
    return SecretValue;
})();
exports.SecretValue = SecretValue;
var SectionMetadataProperties = (function () {
    function SectionMetadataProperties(displayName, displayName1, displayNameID, fields, name) {
        this.displayName = displayName;
        this.displayName1 = displayName1;
        this.displayNameID = displayNameID;
        this.fields = fields;
        this.name = name;
    }
    return SectionMetadataProperties;
})();
exports.SectionMetadataProperties = SectionMetadataProperties;
var ServiceAuth = (function () {
    function ServiceAuth(privilege, name, allowedActions) {
        this.privilege = privilege;
        this.name = name;
        this.allowedActions = allowedActions;
    }
    return ServiceAuth;
})();
exports.ServiceAuth = ServiceAuth;
var ServiceAuthAction = (function () {
    function ServiceAuthAction(drillDown, run, hold, resume, viewOrderableService) {
        this.drillDown = drillDown;
        this.run = run;
        this.hold = hold;
        this.resume = resume;
        this.viewOrderableService = viewOrderableService;
    }
    return ServiceAuthAction;
})();
exports.ServiceAuthAction = ServiceAuthAction;
var SettingKeyProperties = (function () {
    function SettingKeyProperties(settingCategory, settingName) {
        this.settingCategory = settingCategory;
        this.settingName = settingName;
    }
    return SettingKeyProperties;
})();
exports.SettingKeyProperties = SettingKeyProperties;
var SettingProperties = (function () {
    function SettingProperties(category, name, value) {
        this.category = category;
        this.name = name;
        this.value = value;
    }
    return SettingProperties;
})();
exports.SettingProperties = SettingProperties;
var SettingsMetadataProperties = (function () {
    function SettingsMetadataProperties(components, error, selectedComponentAfterActivation, selectedComponentBeforeActivation) {
        this.components = components;
        this.error = error;
        this.selectedComponentAfterActivation = selectedComponentAfterActivation;
        this.selectedComponentBeforeActivation = selectedComponentBeforeActivation;
    }
    return SettingsMetadataProperties;
})();
exports.SettingsMetadataProperties = SettingsMetadataProperties;
var StringListResult = (function (_super) {
    __extends(StringListResult, _super);
    function StringListResult() {
        _super.call(this);
    }
    return StringListResult;
})(Array);
exports.StringListResult = StringListResult;
var SuccessData = (function () {
    function SuccessData(message) {
        this.message = message;
    }
    return SuccessData;
})();
exports.SuccessData = SuccessData;
var Summary = (function () {
    function Summary(totalNumberOfJobs, totalDataSize, actualDbSize, diskUsage) {
        this.totalNumberOfJobs = totalNumberOfJobs;
        this.totalDataSize = totalDataSize;
        this.actualDbSize = actualDbSize;
        this.diskUsage = diskUsage;
    }
    return Summary;
})();
exports.Summary = Summary;
var TermGroup = (function (_super) {
    __extends(TermGroup, _super);
    function TermGroup() {
        _super.call(this);
    }
    return TermGroup;
})(Array);
exports.TermGroup = TermGroup;
var ToolsPrivilegeCategory = (function () {
    function ToolsPrivilegeCategory(cli, batchImpactManagerReport, forecastReport) {
        this.cli = cli;
        this.batchImpactManagerReport = batchImpactManagerReport;
        this.forecastReport = forecastReport;
    }
    return ToolsPrivilegeCategory;
})();
exports.ToolsPrivilegeCategory = ToolsPrivilegeCategory;
var UpgradeAgentInfo = (function () {
    function UpgradeAgentInfo(agent, ctm, type, platform, fromVersion, toVersion) {
        this.agent = agent;
        this.ctm = ctm;
        this.type = type;
        this.platform = platform;
        this.fromVersion = fromVersion;
        this.toVersion = toVersion;
    }
    return UpgradeAgentInfo;
})();
exports.UpgradeAgentInfo = UpgradeAgentInfo;
var UpgradeAgentInfoList = (function (_super) {
    __extends(UpgradeAgentInfoList, _super);
    function UpgradeAgentInfoList() {
        _super.call(this);
    }
    return UpgradeAgentInfoList;
})(Array);
exports.UpgradeAgentInfoList = UpgradeAgentInfoList;
var UpgradeInfo = (function () {
    function UpgradeInfo(type, version) {
        this.type = type;
        this.version = version;
    }
    return UpgradeInfo;
})();
exports.UpgradeInfo = UpgradeInfo;
var UpgradeRecord = (function () {
    function UpgradeRecord(upgradeId, ctm, agent, _package, fromVersion, toVersion, activity, status, message, creationTime, transferStartTime, transferEndTime, installStartTime, installEndTime, activityName, installUser, notifyAddress, description) {
        this.upgradeId = upgradeId;
        this.ctm = ctm;
        this.agent = agent;
        this._package = _package;
        this.fromVersion = fromVersion;
        this.toVersion = toVersion;
        this.activity = activity;
        this.status = status;
        this.message = message;
        this.creationTime = creationTime;
        this.transferStartTime = transferStartTime;
        this.transferEndTime = transferEndTime;
        this.installStartTime = installStartTime;
        this.installEndTime = installEndTime;
        this.activityName = activityName;
        this.installUser = installUser;
        this.notifyAddress = notifyAddress;
        this.description = description;
    }
    return UpgradeRecord;
})();
exports.UpgradeRecord = UpgradeRecord;
var UpgradeRecordList = (function () {
    function UpgradeRecordList(upgradeRecords) {
        this.upgradeRecords = upgradeRecords;
    }
    return UpgradeRecordList;
})();
exports.UpgradeRecordList = UpgradeRecordList;
var UpgradeRequest = (function () {
    function UpgradeRequest(ctm, agent, type, version, activityName, installUser, notifyAddress, description) {
        this.ctm = ctm;
        this.agent = agent;
        this.type = type;
        this.version = version;
        this.activityName = activityName;
        this.installUser = installUser;
        this.notifyAddress = notifyAddress;
        this.description = description;
    }
    return UpgradeRequest;
})();
exports.UpgradeRequest = UpgradeRequest;
var UpgradeResponse = (function () {
    function UpgradeResponse(upgradeId) {
        this.upgradeId = upgradeId;
    }
    return UpgradeResponse;
})();
exports.UpgradeResponse = UpgradeResponse;
var UserData = (function () {
    function UserData(name, description, fullName, authentication, roles, authorization) {
        this.name = name;
        this.description = description;
        this.fullName = fullName;
        this.authentication = authentication;
        this.roles = roles;
        this.authorization = authorization;
    }
    return UserData;
})();
exports.UserData = UserData;
var UserGroupDetailsData = (function () {
    function UserGroupDetailsData(externalUsers, ldapGroups) {
        this.externalUsers = externalUsers;
        this.ldapGroups = ldapGroups;
    }
    return UserGroupDetailsData;
})();
exports.UserGroupDetailsData = UserGroupDetailsData;
var UserGroupPropertiesData = (function () {
    function UserGroupPropertiesData(name, externalUsers, ldapGroups) {
        this.name = name;
        this.externalUsers = externalUsers;
        this.ldapGroups = ldapGroups;
    }
    return UserGroupPropertiesData;
})();
exports.UserGroupPropertiesData = UserGroupPropertiesData;
var UserHeader = (function () {
    function UserHeader(name, fullName, description) {
        this.name = name;
        this.fullName = fullName;
        this.description = description;
    }
    return UserHeader;
})();
exports.UserHeader = UserHeader;
var UserPassword = (function () {
    function UserPassword(newPassword) {
        this.newPassword = newPassword;
    }
    return UserPassword;
})();
exports.UserPassword = UserPassword;
var ValidationProperties = (function () {
    function ValidationProperties(max, min, regexPattern, regexPatternJava, regexPatternJavaScript, regexPatternNoMatchMessage, regexPatternNoMatchMessageID, required, requiredIf) {
        this.max = max;
        this.min = min;
        this.regexPattern = regexPattern;
        this.regexPatternJava = regexPatternJava;
        this.regexPatternJavaScript = regexPatternJavaScript;
        this.regexPatternNoMatchMessage = regexPatternNoMatchMessage;
        this.regexPatternNoMatchMessageID = regexPatternNoMatchMessageID;
        this.required = required;
        this.requiredIf = requiredIf;
    }
    return ValidationProperties;
})();
exports.ValidationProperties = ValidationProperties;
var Value = (function () {
    function Value(value) {
        this.value = value;
    }
    return Value;
})();
exports.Value = Value;
var ViewpointManagerPrivilegeCategory = (function () {
    function ViewpointManagerPrivilegeCategory(collections, hierarchies, filters, viewpoints) {
        this.collections = collections;
        this.hierarchies = hierarchies;
        this.filters = filters;
        this.viewpoints = viewpoints;
    }
    return ViewpointManagerPrivilegeCategory;
})();
exports.ViewpointManagerPrivilegeCategory = ViewpointManagerPrivilegeCategory;
var WorkloadPolicy = (function () {
    function WorkloadPolicy(name, state, orderNo, lastUpdate, updatedBy, description) {
        this.name = name;
        this.state = state;
        this.orderNo = orderNo;
        this.lastUpdate = lastUpdate;
        this.updatedBy = updatedBy;
        this.description = description;
    }
    return WorkloadPolicy;
})();
exports.WorkloadPolicy = WorkloadPolicy;
var WorkloadPolicyList = (function () {
    function WorkloadPolicyList(workloadPolicies) {
        this.workloadPolicies = workloadPolicies;
    }
    return WorkloadPolicyList;
})();
exports.WorkloadPolicyList = WorkloadPolicyList;
var WorkloadPolicyState = (function () {
    function WorkloadPolicyState(name, state) {
        this.name = name;
        this.state = state;
    }
    return WorkloadPolicyState;
})();
exports.WorkloadPolicyState = WorkloadPolicyState;
var WorkloadPolicyStateList = (function () {
    function WorkloadPolicyStateList(workloadPolicies) {
        this.workloadPolicies = workloadPolicies;
    }
    return WorkloadPolicyStateList;
})();
exports.WorkloadPolicyStateList = WorkloadPolicyStateList;
var Job = (function () {
    function Job(jobId, folderId, numberOfRuns, name, folder, type, status, held, deleted, startTime, endTime, estimatedStartTime, estimatedEndTime, orderDate, ctm, description, host, application, subApplication, jobJSON, outputURI, logURI, duration, runAs, archiveRule) {
        this.jobId = jobId;
        this.folderId = folderId;
        this.numberOfRuns = numberOfRuns;
        this.name = name;
        this.folder = folder;
        this.type = type;
        this.status = status;
        this.held = held;
        this.deleted = deleted;
        this.startTime = startTime;
        this.endTime = endTime;
        this.estimatedStartTime = estimatedStartTime;
        this.estimatedEndTime = estimatedEndTime;
        this.orderDate = orderDate;
        this.ctm = ctm;
        this.description = description;
        this.host = host;
        this.application = application;
        this.subApplication = subApplication;
        this.jobJSON = jobJSON;
        this.outputURI = outputURI;
        this.logURI = logURI;
        this.duration = duration;
        this.runAs = runAs;
        this.archiveRule = archiveRule;
    }
    return Job;
})();
exports.Job = Job;
var HttpBasicAuth = (function () {
    function HttpBasicAuth() {
    }
    HttpBasicAuth.prototype.applyToRequest = function (requestOptions) {
        requestOptions.auth = {
            username: this.username, password: this.password
        };
    };
    return HttpBasicAuth;
})();
var ApiKeyAuth = (function () {
    function ApiKeyAuth(location, paramName) {
        this.location = location;
        this.paramName = paramName;
    }
    ApiKeyAuth.prototype.applyToRequest = function (requestOptions) {
        if (this.location === "query") {
            requestOptions.qs[this.paramName] = this.apiKey;
        }
        else if (this.location === "header") {
            requestOptions.headers[this.paramName] = this.apiKey;
        }
    };
    return ApiKeyAuth;
})();
var OAuth = (function () {
    function OAuth() {
    }
    OAuth.prototype.applyToRequest = function (requestOptions) {
    };
    return OAuth;
})();
var VoidAuth = (function () {
    function VoidAuth() {
    }
    VoidAuth.prototype.applyToRequest = function (requestOptions) {
    };
    return VoidAuth;
})();
var ArchiveApi = (function () {
    function ArchiveApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(ArchiveApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    ArchiveApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    ArchiveApi.prototype.getLog = function (annotation, jobId, runNo) {
        var path = this.url + this.basePath + '/archive/{jobId}/log'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId', 'runNo'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!runNo) {
            throw new Error("Missing required parameter 'runNo'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (runNo !== undefined) {
            queryParameters['runNo'] = runNo;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ArchiveApi.prototype.getOutput = function (annotation, jobId, runNo) {
        var path = this.url + this.basePath + '/archive/{jobId}/output'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId', 'runNo'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!runNo) {
            throw new Error("Missing required parameter 'runNo'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (runNo !== undefined) {
            queryParameters['runNo'] = runNo;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ArchiveApi.prototype.searchJobs = function (annotation, limit, jobName, ctm, fromDate, toDate, logContains, outputContains, application, subApplication, folder, library, memName, memLibrary, host, hostGroup, runAs, orderId, jobStatus, orderDateFrom, orderDateTo, jobType, numberOfRuns, jobId) {
        var path = this.url + this.basePath + '/archive/search';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (limit !== undefined) {
            queryParameters['limit'] = limit;
        }
        if (jobName !== undefined) {
            queryParameters['jobName'] = jobName;
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (fromDate !== undefined) {
            queryParameters['fromDate'] = fromDate;
        }
        if (toDate !== undefined) {
            queryParameters['toDate'] = toDate;
        }
        if (logContains !== undefined) {
            queryParameters['logContains'] = logContains;
        }
        if (outputContains !== undefined) {
            queryParameters['outputContains'] = outputContains;
        }
        if (application !== undefined) {
            queryParameters['application'] = application;
        }
        if (subApplication !== undefined) {
            queryParameters['subApplication'] = subApplication;
        }
        if (folder !== undefined) {
            queryParameters['folder'] = folder;
        }
        if (library !== undefined) {
            queryParameters['library'] = library;
        }
        if (memName !== undefined) {
            queryParameters['memName'] = memName;
        }
        if (memLibrary !== undefined) {
            queryParameters['memLibrary'] = memLibrary;
        }
        if (host !== undefined) {
            queryParameters['host'] = host;
        }
        if (hostGroup !== undefined) {
            queryParameters['hostGroup'] = hostGroup;
        }
        if (runAs !== undefined) {
            queryParameters['runAs'] = runAs;
        }
        if (orderId !== undefined) {
            queryParameters['orderId'] = orderId;
        }
        if (jobStatus !== undefined) {
            queryParameters['jobStatus'] = jobStatus;
        }
        if (orderDateFrom !== undefined) {
            queryParameters['orderDateFrom'] = orderDateFrom;
        }
        if (orderDateTo !== undefined) {
            queryParameters['orderDateTo'] = orderDateTo;
        }
        if (jobType !== undefined) {
            queryParameters['jobType'] = jobType;
        }
        if (numberOfRuns !== undefined) {
            queryParameters['numberOfRuns'] = numberOfRuns;
        }
        if (jobId !== undefined) {
            queryParameters['jobId'] = jobId;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return ArchiveApi;
})();
exports.ArchiveApi = ArchiveApi;
var BuildApi = (function () {
    function BuildApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(BuildApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    BuildApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    BuildApi.prototype.buildFile = function (annotation, definitionsFile, deployDescriptorFile) {
        var path = this.url + this.basePath + '/build';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['definitionsFile',];
        if (!definitionsFile) {
            throw new Error("Missing required parameter 'definitionsFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (definitionsFile !== undefined) {
            formParams['definitionsFile'] = require('fs').createReadStream(definitionsFile);
        }
        useFormData = true;
        if (deployDescriptorFile !== undefined) {
            formParams['deployDescriptorFile'] = require('fs').createReadStream(deployDescriptorFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return BuildApi;
})();
exports.BuildApi = BuildApi;
var ConfigApi = (function () {
    function ConfigApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(ConfigApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    ConfigApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    ConfigApi.prototype.activateHub = function (annotation, componentMftKeyType) {
        var path = this.url + this.basePath + '/config/internal/mft/activatehub';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['componentMftKeyType'];
        if (!componentMftKeyType) {
            throw new Error("Missing required parameter 'componentMftKeyType'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: componentMftKeyType,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addAgent = function (annotation, ctm, body) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'body'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!body) {
            throw new Error("Missing required parameter 'body'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: body,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addArchiveRule = function (annotation, archiveRule) {
        var path = this.url + this.basePath + '/config/archive/rule';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['archiveRule'];
        if (!archiveRule) {
            throw new Error("Missing required parameter 'archiveRule'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: archiveRule,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addExternalUser = function (annotation, externalUserData) {
        var path = this.url + this.basePath + '/config/mft/externaluser';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['externalUserData'];
        if (!externalUserData) {
            throw new Error("Missing required parameter 'externalUserData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: externalUserData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addExternalUserOrUserGroupToMFTFolder = function (annotation, folderName, userOrGroup) {
        var path = this.url + this.basePath + '/config/mft/virtualfolder/{folderName}/user/{userOrGroup}'
            .replace('{' + 'folderName' + '}', encodeURIComponent(String(folderName)))
            .replace('{' + 'userOrGroup' + '}', encodeURIComponent(String(userOrGroup)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['folderName', 'userOrGroup'];
        if (!folderName) {
            throw new Error("Missing required parameter 'folderName'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!userOrGroup) {
            throw new Error("Missing required parameter 'userOrGroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addHostToHostgroup = function (annotation, ctm, hostgroup, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/hostgroup/{hostgroup}/agent'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'hostgroup' + '}', encodeURIComponent(String(hostgroup)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'hostgroup', 'agent'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!hostgroup) {
            throw new Error("Missing required parameter 'hostgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: agent,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addMFTFolder = function (annotation, folderPropertiesData) {
        var path = this.url + this.basePath + '/config/mft/virtualfolder';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['folderPropertiesData'];
        if (!folderPropertiesData) {
            throw new Error("Missing required parameter 'folderPropertiesData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: folderPropertiesData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addMftUserGroup = function (annotation, userGroupPropertiesData) {
        var path = this.url + this.basePath + '/config/mft/usergroup';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['userGroupPropertiesData'];
        if (!userGroupPropertiesData) {
            throw new Error("Missing required parameter 'userGroupPropertiesData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: userGroupPropertiesData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addRemoteHost = function (annotation, ctm, data) {
        var path = this.url + this.basePath + '/config/server/{ctm}/remotehost'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm',];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: data,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addRole = function (annotation, roleFile) {
        var path = this.url + this.basePath + '/config/authorization/role';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['roleFile'];
        if (!roleFile) {
            throw new Error("Missing required parameter 'roleFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (roleFile !== undefined) {
            formParams['roleFile'] = require('fs').createReadStream(roleFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addRoleToLdapGroup = function (annotation, ldapgroup, role) {
        var path = this.url + this.basePath + '/config/authorization/ldap/{ldapgroup}/role/{role}'
            .replace('{' + 'ldapgroup' + '}', encodeURIComponent(String(ldapgroup)))
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ldapgroup', 'role'];
        if (!ldapgroup) {
            throw new Error("Missing required parameter 'ldapgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addRoleToUser = function (annotation, user, role) {
        var path = this.url + this.basePath + '/config/authorization/user/{user}/role/{role}'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)))
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user', 'role'];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addSecret = function (annotation, nameValue) {
        var path = this.url + this.basePath + '/config/secret';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['nameValue'];
        if (!nameValue) {
            throw new Error("Missing required parameter 'nameValue'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: nameValue,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addServer = function (annotation, body) {
        var path = this.url + this.basePath + '/config/server';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['body'];
        if (!body) {
            throw new Error("Missing required parameter 'body'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: body,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.addUser = function (annotation, userFile) {
        var path = this.url + this.basePath + '/config/authorization/user';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['userFile'];
        if (!userFile) {
            throw new Error("Missing required parameter 'userFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (userFile !== undefined) {
            formParams['userFile'] = require('fs').createReadStream(userFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.authorizeSshKnownRemotehost = function (annotation, ctm, remotehost) {
        var path = this.url + this.basePath + '/config/server/{ctm}/remotehost/{remotehost}/authorize'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'remotehost' + '}', encodeURIComponent(String(remotehost)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'remotehost'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!remotehost) {
            throw new Error("Missing required parameter 'remotehost'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.changeUserPassword = function (annotation, user, password) {
        var path = this.url + this.basePath + '/config/user/{user}/password/adminUpdate'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user',];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: password,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.createRunAsUser = function (annotation, ctm, runAsUserData) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasuser'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'runAsUserData'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!runAsUserData) {
            throw new Error("Missing required parameter 'runAsUserData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: runAsUserData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deactivateHub = function (annotation, componentMftKeyType) {
        var path = this.url + this.basePath + '/config/internal/mft/deactivatehub';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['componentMftKeyType'];
        if (!componentMftKeyType) {
            throw new Error("Missing required parameter 'componentMftKeyType'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: componentMftKeyType,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteAgent = function (annotation, ctm, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteArchiveRule = function (annotation, ruleName, removeRuleData) {
        var path = this.url + this.basePath + '/config/archive/rule/{ruleName}'
            .replace('{' + 'ruleName' + '}', encodeURIComponent(String(ruleName)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ruleName', 'removeRuleData'];
        if (!ruleName) {
            throw new Error("Missing required parameter 'ruleName'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!removeRuleData) {
            throw new Error("Missing required parameter 'removeRuleData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: removeRuleData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteAuthorizationRole = function (annotation, role) {
        var path = this.url + this.basePath + '/config/authorization/role/{role}'
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['role'];
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteExternalUser = function (annotation, username) {
        var path = this.url + this.basePath + '/config/mft/externaluser/{username}'
            .replace('{' + 'username' + '}', encodeURIComponent(String(username)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['username'];
        if (!username) {
            throw new Error("Missing required parameter 'username'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteExternalUserOrUserGroupFromMFTFolder = function (annotation, folderName, userOrGroup) {
        var path = this.url + this.basePath + '/config/mft/virtualfolder/{folderName}/user/{userOrGroup}'
            .replace('{' + 'folderName' + '}', encodeURIComponent(String(folderName)))
            .replace('{' + 'userOrGroup' + '}', encodeURIComponent(String(userOrGroup)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['folderName', 'userOrGroup'];
        if (!folderName) {
            throw new Error("Missing required parameter 'folderName'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!userOrGroup) {
            throw new Error("Missing required parameter 'userOrGroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteHostFromGroup = function (annotation, ctm, hostgroup, host) {
        var path = this.url + this.basePath + '/config/server/{ctm}/hostgroup/{hostgroup}/agent/{host}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'hostgroup' + '}', encodeURIComponent(String(hostgroup)))
            .replace('{' + 'host' + '}', encodeURIComponent(String(host)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'hostgroup', 'host'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!hostgroup) {
            throw new Error("Missing required parameter 'hostgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!host) {
            throw new Error("Missing required parameter 'host'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteMFTFolder = function (annotation, folderName) {
        var path = this.url + this.basePath + '/config/mft/virtualfolder/{folderName}'
            .replace('{' + 'folderName' + '}', encodeURIComponent(String(folderName)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['folderName'];
        if (!folderName) {
            throw new Error("Missing required parameter 'folderName'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteMftUserGroup = function (annotation, name) {
        var path = this.url + this.basePath + '/config/mft/usergroup/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name'];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteRemoteHost = function (annotation, ctm, remotehost) {
        var path = this.url + this.basePath + '/config/server/{ctm}/remotehost/{remotehost}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'remotehost' + '}', encodeURIComponent(String(remotehost)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'remotehost'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!remotehost) {
            throw new Error("Missing required parameter 'remotehost'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteRoleFromLdapGroup = function (annotation, ldapgroup, role) {
        var path = this.url + this.basePath + '/config/authorization/ldap/{ldapgroup}/role/{role}'
            .replace('{' + 'ldapgroup' + '}', encodeURIComponent(String(ldapgroup)))
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ldapgroup', 'role'];
        if (!ldapgroup) {
            throw new Error("Missing required parameter 'ldapgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteRunAsUser = function (annotation, ctm, agent, user) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasuser/{agent}/{user}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'user'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteSecret = function (annotation, name) {
        var path = this.url + this.basePath + '/config/secret/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name'];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.deleteUser = function (annotation, user) {
        var path = this.url + this.basePath + '/config/authorization/user/{user}'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user'];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.disableAgent = function (annotation, ctm, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}/disable'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.enableAgent = function (annotation, ctm, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}/enable'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.failover = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}/failover'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'PUT',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAgentParameters = function (annotation, ctm, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}/params'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAgents = function (annotation, ctm, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agents'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm',];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAgentsDataList = function (annotation) {
        var path = this.url + this.basePath + '/config/internal/agents';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllArchiveRules = function (annotation) {
        var path = this.url + this.basePath + '/config/archive/rules';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllAuthorizationRoles = function (annotation, role, description) {
        var path = this.url + this.basePath + '/config/authorization/roles';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (role !== undefined) {
            queryParameters['role'] = role;
        }
        if (description !== undefined) {
            queryParameters['description'] = description;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllB2bData = function (annotation) {
        var path = this.url + this.basePath + '/config/internal/mft/initialize';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllHubs = function (annotation) {
        var path = this.url + this.basePath + '/config/internal/mft/hubs';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllMFTAgents = function (annotation) {
        var path = this.url + this.basePath + '/config/internal/mft/agents';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllRolesAssociatedWithLdap = function (annotation, ldapgroup, role) {
        var path = this.url + this.basePath + '/config/authorization/ldap/{ldapgroup}/roles'
            .replace('{' + 'ldapgroup' + '}', encodeURIComponent(String(ldapgroup)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ldapgroup',];
        if (!ldapgroup) {
            throw new Error("Missing required parameter 'ldapgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (role !== undefined) {
            queryParameters['role'] = role;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getAllUsers = function (annotation, name, fullName, description) {
        var path = this.url + this.basePath + '/config/authorization/users';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (fullName !== undefined) {
            queryParameters['fullName'] = fullName;
        }
        if (description !== undefined) {
            queryParameters['description'] = description;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getArchiveStatistics = function (annotation) {
        var path = this.url + this.basePath + '/config/archive/statistics';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getExternalUsers = function (annotation, name, email, description, company, phoneNumber) {
        var path = this.url + this.basePath + '/config/mft/externalusers';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (email !== undefined) {
            queryParameters['email'] = email;
        }
        if (description !== undefined) {
            queryParameters['description'] = description;
        }
        if (company !== undefined) {
            queryParameters['company'] = company;
        }
        if (phoneNumber !== undefined) {
            queryParameters['phoneNumber'] = phoneNumber;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getHostgroups = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}/hostgroups'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getHostsInGroup = function (annotation, ctm, hostgroup) {
        var path = this.url + this.basePath + '/config/server/{ctm}/hostgroup/{hostgroup}/agents'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'hostgroup' + '}', encodeURIComponent(String(hostgroup)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'hostgroup'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!hostgroup) {
            throw new Error("Missing required parameter 'hostgroup'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getMFTFolders = function (annotation, name, authorizedInternalUsers, authorizedExternalUsersAndGroups, allowedFilePattern, blockedFilePattern) {
        var path = this.url + this.basePath + '/config/mft/virtualfolders';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (authorizedInternalUsers !== undefined) {
            queryParameters['authorizedInternalUsers'] = authorizedInternalUsers;
        }
        if (authorizedExternalUsersAndGroups !== undefined) {
            queryParameters['authorizedExternalUsersAndGroups'] = authorizedExternalUsersAndGroups;
        }
        if (allowedFilePattern !== undefined) {
            queryParameters['allowedFilePattern'] = allowedFilePattern;
        }
        if (blockedFilePattern !== undefined) {
            queryParameters['blockedFilePattern'] = blockedFilePattern;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getMFTHubStatus = function (annotation) {
        var path = this.url + this.basePath + '/config/internal/mft/hubStatus';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getMftUserGroups = function (annotation, name, externalUsers, ldapGroups) {
        var path = this.url + this.basePath + '/config/mft/usergroups';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (externalUsers !== undefined) {
            queryParameters['externalUsers'] = externalUsers;
        }
        if (ldapGroups !== undefined) {
            queryParameters['ldapGroups'] = ldapGroups;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRemoteHostProperties = function (annotation, ctm, remotehost) {
        var path = this.url + this.basePath + '/config/server/{ctm}/remotehost/{remotehost}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'remotehost' + '}', encodeURIComponent(String(remotehost)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'remotehost'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!remotehost) {
            throw new Error("Missing required parameter 'remotehost'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRemoteHosts = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}/remotehosts'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRole = function (annotation, role) {
        var path = this.url + this.basePath + '/config/authorization/role/{role}'
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['role'];
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRoleAssociates = function (annotation, role) {
        var path = this.url + this.basePath + '/config/authorization/role/{role}/associates'
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['role'];
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRunAsUser = function (annotation, ctm, agent, user) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasuser/{agent}/{user}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'user'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getRunAsUsersList = function (annotation, ctm, user, agent) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasusers'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm',];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (user !== undefined) {
            queryParameters['user'] = user;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getServerParameters = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}/params'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getServers = function (annotation) {
        var path = this.url + this.basePath + '/config/servers';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.getUser = function (annotation, user) {
        var path = this.url + this.basePath + '/config/authorization/user/{user}'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user'];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.listSecrets = function (annotation) {
        var path = this.url + this.basePath + '/config/secrets';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.pingAgent = function (annotation, ctm, agent, body) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}/ping'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent',];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: body,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.recycleItem = function (annotation, id) {
        var path = this.url + this.basePath + '/config/item/{id}/recycle'
            .replace('{' + 'id' + '}', encodeURIComponent(String(id)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['id'];
        if (!id) {
            throw new Error("Missing required parameter 'id'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.removeControlmServer = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.removeRoleFromUser = function (annotation, user, role) {
        var path = this.url + this.basePath + '/config/authorization/user/{user}/role/{role}'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)))
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user', 'role'];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.sendCmsRequest = function (annotation, cmsXmlRequestObject) {
        var path = this.url + this.basePath + '/config/internal/sendcmsrequest';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['cmsXmlRequestObject'];
        if (!cmsXmlRequestObject) {
            throw new Error("Missing required parameter 'cmsXmlRequestObject'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: cmsXmlRequestObject,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.setAgentParameter = function (annotation, ctm, agent, name, body) {
        var path = this.url + this.basePath + '/config/server/{ctm}/agent/{agent}/param/{name}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'name', 'body'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!body) {
            throw new Error("Missing required parameter 'body'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: body,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.setSystemParam = function (annotation, name, newValue) {
        var path = this.url + this.basePath + '/config/em/param/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name', 'newValue'];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!newValue) {
            throw new Error("Missing required parameter 'newValue'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: newValue,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.setasprimary = function (annotation, ctm) {
        var path = this.url + this.basePath + '/config/server/{ctm}/setasprimary'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'PUT',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.testRunAsUser = function (annotation, ctm, agent, user, runAsUserDetailsData) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasuser/{agent}/{user}/test'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'user',];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: runAsUserDetailsData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateArchiveRule = function (annotation, ruleName, archiveRule) {
        var path = this.url + this.basePath + '/config/archive/rule/{ruleName}'
            .replace('{' + 'ruleName' + '}', encodeURIComponent(String(ruleName)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ruleName', 'archiveRule'];
        if (!ruleName) {
            throw new Error("Missing required parameter 'ruleName'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!archiveRule) {
            throw new Error("Missing required parameter 'archiveRule'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: archiveRule,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateExternalUser = function (annotation, username, externalUserData) {
        var path = this.url + this.basePath + '/config/mft/externaluser/{username}'
            .replace('{' + 'username' + '}', encodeURIComponent(String(username)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['username', 'externalUserData'];
        if (!username) {
            throw new Error("Missing required parameter 'username'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!externalUserData) {
            throw new Error("Missing required parameter 'externalUserData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: externalUserData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateMFTFolder = function (annotation, folderName, folderPropertiesData) {
        var path = this.url + this.basePath + '/config/mft/virtualfolder/{folderName}'
            .replace('{' + 'folderName' + '}', encodeURIComponent(String(folderName)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['folderName', 'folderPropertiesData'];
        if (!folderName) {
            throw new Error("Missing required parameter 'folderName'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!folderPropertiesData) {
            throw new Error("Missing required parameter 'folderPropertiesData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: folderPropertiesData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateMftUserGroup = function (annotation, name, userGroupDetailsData) {
        var path = this.url + this.basePath + '/config/mft/usergroup/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name', 'userGroupDetailsData'];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!userGroupDetailsData) {
            throw new Error("Missing required parameter 'userGroupDetailsData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: userGroupDetailsData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateRole = function (annotation, role, roleFile) {
        var path = this.url + this.basePath + '/config/authorization/role/{role}'
            .replace('{' + 'role' + '}', encodeURIComponent(String(role)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['role', 'roleFile'];
        if (!role) {
            throw new Error("Missing required parameter 'role'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!roleFile) {
            throw new Error("Missing required parameter 'roleFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (roleFile !== undefined) {
            formParams['roleFile'] = require('fs').createReadStream(roleFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateRunAsUser = function (annotation, ctm, agent, user, runAsUserDetailsData) {
        var path = this.url + this.basePath + '/config/server/{ctm}/runasuser/{agent}/{user}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'user', 'runAsUserDetailsData'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!runAsUserDetailsData) {
            throw new Error("Missing required parameter 'runAsUserDetailsData'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: runAsUserDetailsData,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateSecret = function (annotation, name, value) {
        var path = this.url + this.basePath + '/config/secret/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name',];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: value,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ConfigApi.prototype.updateUser = function (annotation, user, userFile) {
        var path = this.url + this.basePath + '/config/authorization/user/{user}'
            .replace('{' + 'user' + '}', encodeURIComponent(String(user)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['user', 'userFile'];
        if (!user) {
            throw new Error("Missing required parameter 'user'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!userFile) {
            throw new Error("Missing required parameter 'userFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (userFile !== undefined) {
            formParams['userFile'] = require('fs').createReadStream(userFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return ConfigApi;
})();
exports.ConfigApi = ConfigApi;
var DeployApi = (function () {
    function DeployApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(DeployApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    DeployApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    DeployApi.prototype.deleteConnectionProfile = function (annotation, ctm, agent, type, name) {
        var path = this.url + this.basePath + '/deploy/connectionprofile/{ctm}/{agent}/{type}/{name}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'type' + '}', encodeURIComponent(String(type)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'type', 'name'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.deleteFolder = function (annotation, controlM, folderName) {
        var path = this.url + this.basePath + '/deploy/folder/{controlM}/{folderName}'
            .replace('{' + 'controlM' + '}', encodeURIComponent(String(controlM)))
            .replace('{' + 'folderName' + '}', encodeURIComponent(String(folderName)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['controlM', 'folderName'];
        if (!controlM) {
            throw new Error("Missing required parameter 'controlM'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!folderName) {
            throw new Error("Missing required parameter 'folderName'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.deleteLocalConnectionProfile = function (annotation, ctm, agent, type, name) {
        var path = this.url + this.basePath + '/deploy/connectionprofile/local/{ctm}/{agent}/{type}/{name}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'agent' + '}', encodeURIComponent(String(agent)))
            .replace('{' + 'type' + '}', encodeURIComponent(String(type)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'type', 'name'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.deleteSharedConnectionProfile = function (annotation, type, name) {
        var path = this.url + this.basePath + '/deploy/connectionprofile/shared/{type}/{name}'
            .replace('{' + 'type' + '}', encodeURIComponent(String(type)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['type', 'name'];
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.deployAiJobtype = function (annotation, ctm, agent, jobTypeId) {
        var path = this.url + this.basePath + '/deploy/ai/jobtype';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'jobTypeId'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!jobTypeId) {
            throw new Error("Missing required parameter 'jobTypeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        if (jobTypeId !== undefined) {
            queryParameters['jobTypeId'] = jobTypeId;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.deployFile = function (annotation, definitionsFile, deployDescriptorFile) {
        var path = this.url + this.basePath + '/deploy';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['definitionsFile',];
        if (!definitionsFile) {
            throw new Error("Missing required parameter 'definitionsFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (definitionsFile !== undefined) {
            formParams['definitionsFile'] = require('fs').createReadStream(definitionsFile);
        }
        useFormData = true;
        if (deployDescriptorFile !== undefined) {
            formParams['deployDescriptorFile'] = require('fs').createReadStream(deployDescriptorFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getConnectionProfilesDeploymentStatus = function (annotation, type, name) {
        var path = this.url + this.basePath + '/deploy/connectionprofile/shared/deploymentstatus/{type}/{name}'
            .replace('{' + 'type' + '}', encodeURIComponent(String(type)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['type', 'name'];
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getDeployedAiJobtypes = function (annotation, jobTypeName, jobTypeId) {
        var path = this.url + this.basePath + '/deploy/ai/jobtypes';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (jobTypeName !== undefined) {
            queryParameters['jobTypeName'] = jobTypeName;
        }
        if (jobTypeId !== undefined) {
            queryParameters['jobTypeId'] = jobTypeId;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getDeployedConnectionProfiles = function (annotation, ctm, agent, type) {
        var path = this.url + this.basePath + '/deploy/connectionprofiles';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'type'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        if (type !== undefined) {
            queryParameters['type'] = type;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getDeployedConnectionProfilesStatus = function (annotation, limit, name, type) {
        var path = this.url + this.basePath + '/deploy/connectionprofiles/shared/status';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (limit !== undefined) {
            queryParameters['limit'] = limit;
        }
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (type !== undefined) {
            queryParameters['type'] = type;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getDeployedFoldersNew = function (annotation, format, folder, ctm) {
        var path = this.url + this.basePath + '/deploy/jobs';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (format !== undefined) {
            queryParameters['format'] = format;
        }
        if (folder !== undefined) {
            queryParameters['folder'] = folder;
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getLocalConnectionProfiles = function (annotation, ctm, agent, type) {
        var path = this.url + this.basePath + '/deploy/connectionprofiles/local';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'agent', 'type'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!agent) {
            throw new Error("Missing required parameter 'agent'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        if (type !== undefined) {
            queryParameters['type'] = type;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.getSharedConnectionProfiles = function (annotation, type, name) {
        var path = this.url + this.basePath + '/deploy/connectionprofiles/shared';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['type',];
        if (!type) {
            throw new Error("Missing required parameter 'type'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (type !== undefined) {
            queryParameters['type'] = type;
        }
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.testConnectionProfile = function (annotation, definitionsFile, ctm, agent) {
        var path = this.url + this.basePath + '/deploy/connectionprofile/test';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['definitionsFile',];
        if (!definitionsFile) {
            throw new Error("Missing required parameter 'definitionsFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        var useFormData = false;
        if (definitionsFile !== undefined) {
            formParams['definitionsFile'] = require('fs').createReadStream(definitionsFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    DeployApi.prototype.transformFile = function (annotation, definitionsFile, deployDescriptorFile) {
        var path = this.url + this.basePath + '/deploy/transform';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['definitionsFile', 'deployDescriptorFile'];
        if (!definitionsFile) {
            throw new Error("Missing required parameter 'definitionsFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!deployDescriptorFile) {
            throw new Error("Missing required parameter 'deployDescriptorFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (definitionsFile !== undefined) {
            formParams['definitionsFile'] = require('fs').createReadStream(definitionsFile);
        }
        useFormData = true;
        if (deployDescriptorFile !== undefined) {
            formParams['deployDescriptorFile'] = require('fs').createReadStream(deployDescriptorFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return DeployApi;
})();
exports.DeployApi = DeployApi;
var ProvisionApi = (function () {
    function ProvisionApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(ProvisionApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    ProvisionApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    ProvisionApi.prototype.cancelUpgradeActivity = function (annotation, upgradeId) {
        var path = this.url + this.basePath + '/provision/upgrade/{upgradeId}/cancel'
            .replace('{' + 'upgradeId' + '}', encodeURIComponent(String(upgradeId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeId'];
        if (!upgradeId) {
            throw new Error("Missing required parameter 'upgradeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.deleteUpgradeActivity = function (annotation, upgradeId) {
        var path = this.url + this.basePath + '/provision/upgrade/{upgradeId}'
            .replace('{' + 'upgradeId' + '}', encodeURIComponent(String(upgradeId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeId'];
        if (!upgradeId) {
            throw new Error("Missing required parameter 'upgradeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getAllUpgradeActivitiesStatus = function (annotation, ctm, agent, fromVersion, toVersion, activity, status, activityName) {
        var path = this.url + this.basePath + '/provision/upgrades';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (agent !== undefined) {
            queryParameters['agent'] = agent;
        }
        if (fromVersion !== undefined) {
            queryParameters['fromVersion'] = fromVersion;
        }
        if (toVersion !== undefined) {
            queryParameters['toVersion'] = toVersion;
        }
        if (activity !== undefined) {
            queryParameters['activity'] = activity;
        }
        if (status !== undefined) {
            queryParameters['status'] = status;
        }
        if (activityName !== undefined) {
            queryParameters['activityName'] = activityName;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getDeployVersions = function (annotation) {
        var path = this.url + this.basePath + '/provision/upgrades/versions';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getEligibleAgentsForUpgrade = function (annotation, type, version) {
        var path = this.url + this.basePath + '/provision/upgrades/agents';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (type !== undefined) {
            queryParameters['type'] = type;
        }
        if (version !== undefined) {
            queryParameters['version'] = version;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getImages = function (annotation, os) {
        var path = this.url + this.basePath + '/provision/images/{os}'
            .replace('{' + 'os' + '}', encodeURIComponent(String(os)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['os'];
        if (!os) {
            throw new Error("Missing required parameter 'os'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getUpgradeActivityLog = function (annotation, upgradeId) {
        var path = this.url + this.basePath + '/provision/upgrade/{upgradeId}/output'
            .replace('{' + 'upgradeId' + '}', encodeURIComponent(String(upgradeId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeId'];
        if (!upgradeId) {
            throw new Error("Missing required parameter 'upgradeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.getUpgradeActivityStatusPerUpgradeId = function (annotation, upgradeId) {
        var path = this.url + this.basePath + '/provision/upgrade/{upgradeId}'
            .replace('{' + 'upgradeId' + '}', encodeURIComponent(String(upgradeId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeId'];
        if (!upgradeId) {
            throw new Error("Missing required parameter 'upgradeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.retryUpgradeActivity = function (annotation, upgradeId) {
        var path = this.url + this.basePath + '/provision/upgrade/{upgradeId}/retry'
            .replace('{' + 'upgradeId' + '}', encodeURIComponent(String(upgradeId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeId'];
        if (!upgradeId) {
            throw new Error("Missing required parameter 'upgradeId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.transferAndInstallProduct = function (annotation, upgradeRequest) {
        var path = this.url + this.basePath + '/provision/upgrade/install';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['upgradeRequest'];
        if (!upgradeRequest) {
            throw new Error("Missing required parameter 'upgradeRequest'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: upgradeRequest,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ProvisionApi.prototype.uninstallProduct = function (annotation, rollbackRequest) {
        var path = this.url + this.basePath + '/provision/upgrade/uninstall';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['rollbackRequest'];
        if (!rollbackRequest) {
            throw new Error("Missing required parameter 'rollbackRequest'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: rollbackRequest,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return ProvisionApi;
})();
exports.ProvisionApi = ProvisionApi;
var ReportingApi = (function () {
    function ReportingApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(ReportingApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    ReportingApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    ReportingApi.prototype.getReportByName = function (annotation, name, format) {
        var path = this.url + this.basePath + '/reporting/report/{name}'
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['name',];
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (format !== undefined) {
            queryParameters['format'] = format;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ReportingApi.prototype.getReportStatus = function (annotation, reportId) {
        var path = this.url + this.basePath + '/reporting/status/{reportId}'
            .replace('{' + 'reportId' + '}', encodeURIComponent(String(reportId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['reportId'];
        if (!reportId) {
            throw new Error("Missing required parameter 'reportId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    ReportingApi.prototype.runReport = function (annotation, reportRun) {
        var path = this.url + this.basePath + '/reporting/report';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['reportRun'];
        if (!reportRun) {
            throw new Error("Missing required parameter 'reportRun'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: reportRun,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return ReportingApi;
})();
exports.ReportingApi = ReportingApi;
var RunApi = (function () {
    function RunApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(RunApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    RunApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    RunApi.prototype.activateWorkloadPolicy = function (annotation, policy, ctm) {
        var path = this.url + this.basePath + '/run/workloadpolicy/{policy}/activate'
            .replace('{' + 'policy' + '}', encodeURIComponent(String(policy)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['policy',];
        if (!policy) {
            throw new Error("Missing required parameter 'policy'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.addEvent = function (annotation, ctm, event) {
        var path = this.url + this.basePath + '/run/event/{ctm}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'event'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!event) {
            throw new Error("Missing required parameter 'event'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: event,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.addResource = function (annotation, ctm, resource) {
        var path = this.url + this.basePath + '/run/resource/{ctm}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'resource'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!resource) {
            throw new Error("Missing required parameter 'resource'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: resource,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.confirmJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/confirm'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.deactivateWorkloadPolicy = function (annotation, policy, ctm) {
        var path = this.url + this.basePath + '/run/workloadpolicy/{policy}/deactivate'
            .replace('{' + 'policy' + '}', encodeURIComponent(String(policy)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['policy',];
        if (!policy) {
            throw new Error("Missing required parameter 'policy'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.deleteEvent = function (annotation, ctm, name, date) {
        var path = this.url + this.basePath + '/run/event/{ctm}/{name}/{date}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)))
            .replace('{' + 'date' + '}', encodeURIComponent(String(date)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'name', 'date'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!date) {
            throw new Error("Missing required parameter 'date'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.deleteJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/delete'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.deleteResource = function (annotation, ctm, name) {
        var path = this.url + this.basePath + '/run/resource/{ctm}/{name}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'name'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.freeJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/free'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getEvents = function (annotation, ctm, name, date, limit) {
        var path = this.url + this.basePath + '/run/events';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        if (date !== undefined) {
            queryParameters['date'] = date;
        }
        if (limit !== undefined) {
            queryParameters['limit'] = limit;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getJobLog = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/log'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getJobOutput = function (annotation, jobId, runNo) {
        var path = this.url + this.basePath + '/run/job/{jobId}/output'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId',];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (runNo !== undefined) {
            queryParameters['runNo'] = runNo;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getJobStatus = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/status'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getJobsStatus = function (annotation, runId, startIndex) {
        var path = this.url + this.basePath + '/run/status/{runId}'
            .replace('{' + 'runId' + '}', encodeURIComponent(String(runId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['runId',];
        if (!runId) {
            throw new Error("Missing required parameter 'runId'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (startIndex !== undefined) {
            queryParameters['startIndex'] = startIndex;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getJobsStatusByFilter = function (annotation, limit, jobname, ctm, application, subApplication, host, status, folder, description, jobid, neighborhood, depth, direction, orderDateFrom, orderDateTo, fromTime, toTime, folderLibrary, hostGroup, runAs, command, filePath, fileName, workloadPolicy, ruleBasedCalendar, resourceMutex, resourceSemaphore) {
        var path = this.url + this.basePath + '/run/jobs/status';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (limit !== undefined) {
            queryParameters['limit'] = limit;
        }
        if (jobname !== undefined) {
            queryParameters['jobname'] = jobname;
        }
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (application !== undefined) {
            queryParameters['application'] = application;
        }
        if (subApplication !== undefined) {
            queryParameters['subApplication'] = subApplication;
        }
        if (host !== undefined) {
            queryParameters['host'] = host;
        }
        if (status !== undefined) {
            queryParameters['status'] = status;
        }
        if (folder !== undefined) {
            queryParameters['folder'] = folder;
        }
        if (description !== undefined) {
            queryParameters['description'] = description;
        }
        if (jobid !== undefined) {
            queryParameters['jobid'] = jobid;
        }
        if (neighborhood !== undefined) {
            queryParameters['neighborhood'] = neighborhood;
        }
        if (depth !== undefined) {
            queryParameters['depth'] = depth;
        }
        if (direction !== undefined) {
            queryParameters['direction'] = direction;
        }
        if (orderDateFrom !== undefined) {
            queryParameters['orderDateFrom'] = orderDateFrom;
        }
        if (orderDateTo !== undefined) {
            queryParameters['orderDateTo'] = orderDateTo;
        }
        if (fromTime !== undefined) {
            queryParameters['fromTime'] = fromTime;
        }
        if (toTime !== undefined) {
            queryParameters['toTime'] = toTime;
        }
        if (folderLibrary !== undefined) {
            queryParameters['folderLibrary'] = folderLibrary;
        }
        if (hostGroup !== undefined) {
            queryParameters['hostGroup'] = hostGroup;
        }
        if (runAs !== undefined) {
            queryParameters['runAs'] = runAs;
        }
        if (command !== undefined) {
            queryParameters['command'] = command;
        }
        if (filePath !== undefined) {
            queryParameters['filePath'] = filePath;
        }
        if (fileName !== undefined) {
            queryParameters['fileName'] = fileName;
        }
        if (workloadPolicy !== undefined) {
            queryParameters['workloadPolicy'] = workloadPolicy;
        }
        if (ruleBasedCalendar !== undefined) {
            queryParameters['ruleBasedCalendar'] = ruleBasedCalendar;
        }
        if (resourceMutex !== undefined) {
            queryParameters['resourceMutex'] = resourceMutex;
        }
        if (resourceSemaphore !== undefined) {
            queryParameters['resourceSemaphore'] = resourceSemaphore;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getResources = function (annotation, ctm, name) {
        var path = this.url + this.basePath + '/run/resources';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (ctm !== undefined) {
            queryParameters['ctm'] = ctm;
        }
        if (name !== undefined) {
            queryParameters['name'] = name;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getWaitingInfo = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/waitingInfo'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.getWorkloadPolicies = function (annotation, state) {
        var path = this.url + this.basePath + '/run/workloadpolicies';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        if (state !== undefined) {
            queryParameters['state'] = state;
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.holdJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/hold'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.killJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/kill'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.orderJobsInFolder = function (annotation, data) {
        var path = this.url + this.basePath + '/run/order';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: data,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.rerunJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/rerun'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.runJobs = function (annotation, jobDefinitionsFile, deployDescriptorFile) {
        var path = this.url + this.basePath + '/run';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobDefinitionsFile',];
        if (!jobDefinitionsFile) {
            throw new Error("Missing required parameter 'jobDefinitionsFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (jobDefinitionsFile !== undefined) {
            formParams['jobDefinitionsFile'] = require('fs').createReadStream(jobDefinitionsFile);
        }
        useFormData = true;
        if (deployDescriptorFile !== undefined) {
            formParams['deployDescriptorFile'] = require('fs').createReadStream(deployDescriptorFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.runNow = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/runNow'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.setToOK = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/setToOk'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.undeleteJob = function (annotation, jobId) {
        var path = this.url + this.basePath + '/run/job/{jobId}/undelete'
            .replace('{' + 'jobId' + '}', encodeURIComponent(String(jobId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['jobId'];
        if (!jobId) {
            throw new Error("Missing required parameter 'jobId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    RunApi.prototype.updateResource = function (annotation, ctm, name, max) {
        var path = this.url + this.basePath + '/run/resource/{ctm}/{name}'
            .replace('{' + 'ctm' + '}', encodeURIComponent(String(ctm)))
            .replace('{' + 'name' + '}', encodeURIComponent(String(name)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['ctm', 'name', 'max'];
        if (!ctm) {
            throw new Error("Missing required parameter 'ctm'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!name) {
            throw new Error("Missing required parameter 'name'. All required params must be specified: " + requiredParams.join(", "));
        }
        if (!max) {
            throw new Error("Missing required parameter 'max'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: max,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return RunApi;
})();
exports.RunApi = RunApi;
var SamplesApi = (function () {
    function SamplesApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(SamplesApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    SamplesApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    SamplesApi.prototype.addManySamples = function (annotation, samplesFile) {
        var path = this.url + this.basePath + '/samples/load';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['samplesFile'];
        if (!samplesFile) {
            throw new Error("Missing required parameter 'samplesFile'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        if (samplesFile !== undefined) {
            formParams['samplesFile'] = require('fs').createReadStream(samplesFile);
        }
        useFormData = true;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SamplesApi.prototype.addSample = function (annotation, newSample) {
        var path = this.url + this.basePath + '/samples';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['newSample'];
        if (!newSample) {
            throw new Error("Missing required parameter 'newSample'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: newSample,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SamplesApi.prototype.deleteSample = function (annotation, sampleId) {
        var path = this.url + this.basePath + '/samples/{sampleId}'
            .replace('{' + 'sampleId' + '}', encodeURIComponent(String(sampleId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['sampleId'];
        if (!sampleId) {
            throw new Error("Missing required parameter 'sampleId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'DELETE',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SamplesApi.prototype.findSampleById = function (annotation, sampleId) {
        var path = this.url + this.basePath + '/samples/{sampleId}'
            .replace('{' + 'sampleId' + '}', encodeURIComponent(String(sampleId)));
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['sampleId'];
        if (!sampleId) {
            throw new Error("Missing required parameter 'sampleId'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SamplesApi.prototype.getSamples = function (annotation) {
        var path = this.url + this.basePath + '/samples';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'GET',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return SamplesApi;
})();
exports.SamplesApi = SamplesApi;
var SessionApi = (function () {
    function SessionApi(url, basePathOrUsername, password, basePath, env) {
        this.url = url;
        this.basePath = 'https://localhost';
        this.defaultHeaders = {};
        this.authentications = {
            'Bearer': new ApiKeyAuth('header', 'Authorization'),
            'default': new VoidAuth()
        };
        if (password) {
            if (basePath) {
                this.basePath = basePath;
            }
        }
        else {
            if (basePathOrUsername) {
                this.basePath = basePathOrUsername;
            }
        }
        if (this.constructor.prototype.constructor.name == "SessionApi") {
            if (env && env.additionalLoginHeader) {
                var parts = env.additionalLoginHeader.split(":");
                if (parts.length == 2) {
                    this.defaultHeaders[parts[0]] = parts[1];
                }
            }
        }
    }
    Object.defineProperty(SessionApi.prototype, "apiKey", {
        set: function (key) {
            this.authentications.Bearer.apiKey = key;
        },
        enumerable: true,
        configurable: true
    });
    SessionApi.prototype.extendObj = function (objA, objB) {
        for (var key in objB) {
            if (objB.hasOwnProperty(key)) {
                objA[key] = objB[key];
            }
        }
        return objA;
    };
    SessionApi.prototype.doLogin = function (annotation, credentials) {
        var path = this.url + this.basePath + '/session/login';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['credentials'];
        if (!credentials) {
            throw new Error("Missing required parameter 'credentials'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: credentials,
            json: true
        };
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SessionApi.prototype.doLogout = function (annotation) {
        var path = this.url + this.basePath + '/session/logout';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = [];
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    SessionApi.prototype.updateMyPassword = function (annotation, passwordsObject) {
        var path = this.url + this.basePath + '/session/user/password/update';
        var queryParameters = {};
        var headerParams = this.extendObj(this.defaultHeaders, annotation);
        var formParams = {};
        var requiredParams = ['passwordsObject'];
        if (!passwordsObject) {
            throw new Error("Missing required parameter 'passwordsObject'. All required params must be specified: " + requiredParams.join(", "));
        }
        var useFormData = false;
        var deferred = promise.defer();
        var requestOptions = {
            method: 'POST',
            qs: queryParameters,
            headers: headerParams,
            uri: path,
            body: passwordsObject,
            json: true
        };
        this.authentications.Bearer.applyToRequest(requestOptions);
        this.authentications.default.applyToRequest(requestOptions);
        if (Object.keys(formParams).length) {
            if (useFormData) {
                requestOptions.formData = formParams;
            }
            else {
                requestOptions.form = formParams;
            }
        }
        request(requestOptions, function (error, response, body) {
            if (error) {
                deferred.reject(error);
            }
            else {
                if (!body && response.statusCode == 400) {
                    deferred.reject('\'Bad request\' received when trying to reach: ' + requestOptions['uri']);
                }
                else {
                    if (response.statusCode >= 200 && response.statusCode <= 299) {
                        deferred.resolve({ response: response, body: body });
                    }
                    else {
                        deferred.reject({ response: response, body: body });
                    }
                }
            }
        });
        return deferred.promise;
    };
    return SessionApi;
})();
exports.SessionApi = SessionApi;
//# sourceMappingURL=api.js.map