var events=require("events"),util=require("util"),async=require("async"),config=require("./config"),common=require("./common"),exception=require("./exception"),Stream=require("stream").Stream,ticksPerMillisecond=1e4,Logger=exports.Logger=function(t){events.EventEmitter.call(this),t=t||{};var r=this,e=!1;this.padLevels=t.padLevels||!1,this.setLevels(t.levels),t.colors&&config.addColors(t.colors),this.level=t.level||"info",this.emitErrs=t.emitErrs||!1,this.stripColors=t.stripColors||!1,this.exitOnError=void 0===t.exitOnError||t.exitOnError,this.transports={},this.rewriters=[],this.exceptionHandlers={},this.profilers={},this._names=[],this._hnames=[],t.transports&&t.transports.forEach(function(t){r.add(t,null,!0),t.handleExceptions&&(e=!0)}),t.rewriters&&t.rewriters.forEach(function(t){r.addRewriter(t)}),t.exceptionHandlers&&(e=!0,t.exceptionHandlers.forEach(function(t){r._hnames.push(t.name),r.exceptionHandlers[t.name]=t})),(t.handleExceptions||e)&&this.handleExceptions()};util.inherits(Logger,events.EventEmitter),Logger.prototype.extend=function(t){var r=this;return["log","profile","startTimer"].concat(Object.keys(this.levels)).forEach(function(e){t[e]=function(){return r[e].apply(r,arguments)}}),this},Logger.prototype.log=function(t,r){var e,n,o=this;function s(t){e?e(t):o.emitErrs&&o.emit("error",t)}if(3===arguments.length?"function"==typeof arguments[2]?(n={},e=arguments[2]):"object"==typeof arguments[2]&&(n=arguments[2]):4===arguments.length&&(n=arguments[2],e=arguments[3]),this.padLevels&&(r=new Array(this.levelLength-t.length+1).join(" ")+r),0===this.transports.length)return s(new Error("Cannot log with no transports."));if(void 0===o.levels[t])return s(new Error("Unknown log level: "+t));if(this.rewriters.forEach(function(e){n=e(t,r,n)}),this.stripColors){r=(""+r).replace(/\u001b\[(\d+(;\d+)*)?m/g,"")}function i(o){if(e){if(o)return e(o);e(null,t,r,n)}e=null}return async.forEach(this._names,function(e,s){var a=o.transports[e];a.level&&o.levels[a.level]<=o.levels[t]||!a.level&&o.levels[o.level]<=o.levels[t]?a.log(t,r,n,function(e){if(e)return e.transport=a,i(e),s();o.emit("logging",a,t,r,n),s()}):s()},i),this},Logger.prototype.query=function(t,r){"function"==typeof t&&(r=t,t={});var e,n=this,o=(t=t||{},{}),s=common.clone(t.query)||{};function i(r,e){t.query&&(t.query=r.formatQuery(s)),r.query(t,function(n,o){if(n)return e(n);e(null,r.formatResults(o,t.format))})}if(t.transport)return t.transport=t.transport.toLowerCase(),i(this.transports[t.transport],r);e=this._names.map(function(t){return n.transports[t]}).filter(function(t){return!!t.query}),async.forEach(e,function(t,r){i(t,function(e,n){(n=e||n)&&(o[t.name]=n),r()})},function(){r(null,o)})},Logger.prototype.stream=function(t){var r=this,e=(t=t||{},new Stream),n=[];if(t.transport){var o=this.transports[t.transport];if(delete t.transport,o&&o.stream)return o.stream(t)}return e._streams=n,e.destroy=function(){for(var t=n.length;t--;)n[t].destroy()},this._names.map(function(t){return r.transports[t]}).filter(function(t){return!!t.stream}).forEach(function(r){var o=r.stream(t);o&&(n.push(o),o.on("log",function(t){t.transport=t.transport||[],t.transport.push(r.name),e.emit("log",t)}),o.on("error",function(t){t.transport=t.transport||[],t.transport.push(r.name),e.emit("error",t)}))}),e},Logger.prototype.close=function(){var t=this;this._names.forEach(function(r){var e=t.transports[r];e&&e.close&&e.close()})},Logger.prototype.handleExceptions=function(){var t=[],r=this;Array.prototype.slice.call(arguments).forEach(function(r){Array.isArray(r)?t=t.concat(r):t.push(r)}),t.forEach(function(t){r.exceptionHandlers[t.name]=t}),this._hnames=Object.keys(r.exceptionHandlers),this.catchExceptions||(this.catchExceptions=this._uncaughtException.bind(this),process.on("uncaughtException",this.catchExceptions))},Logger.prototype.unhandleExceptions=function(){var t=this;this.catchExceptions&&(Object.keys(this.exceptionHandlers).forEach(function(t){handler.close&&handler.close()}),this.exceptionHandlers={},Object.keys(this.transports).forEach(function(r){var e=t.transports[r];e.handleExceptions&&(e.handleExceptions=!1)}),process.removeListener("uncaughtException",this.catchExceptions),this.catchExceptions=!1)},Logger.prototype.add=function(t,r,e){var n=e?t:new t(r);if(!n.name&&!n.log)throw new Error("Unknown transport with no log() method");if(this.transports[n.name])throw new Error("Transport already attached: "+n.name);return this.transports[n.name]=n,this._names=Object.keys(this.transports),n._onError=this._onError.bind(this,n),n.on("error",n._onError),n.handleExceptions&&!this.catchExceptions&&this.handleExceptions(),this},Logger.prototype.addRewriter=function(t){this.rewriters.push(t)},Logger.prototype.clear=function(){for(var t in this.transports)this.remove({name:t})},Logger.prototype.remove=function(t){var r=t.name||t.prototype.name;if(!this.transports[r])throw new Error("Transport "+r+" not attached to this instance");var e=this.transports[r];return delete this.transports[r],this._names=Object.keys(this.transports),e.close&&e.close(),e.removeListener("error",e._onError),this};var ProfileHandler=function(t){this.logger=t,this.start=Date.now(),this.done=function(t){var r,e,n;return e="function"==typeof(r=Array.prototype.slice.call(arguments))[r.length-1]?r.pop():null,(n="object"==typeof r[r.length-1]?r.pop():{}).duration=Date.now()-this.start+"ms",this.logger.info(t,n,e)}};Logger.prototype.startTimer=function(){return new ProfileHandler(this)},Logger.prototype.profile=function(t){var r,e,n,o,s,i=Date.now();return this.profilers[t]?(r=this.profilers[t],delete this.profilers[t],s="function"==typeof(e=Array.prototype.slice.call(arguments))[e.length-1]?e.pop():null,o="object"==typeof e[e.length-1]?e.pop():{},n=2===e.length?e[1]:t,o.duration=i-r+"ms",this.info(n,o,s)):(this.profilers[t]=i,this)},Logger.prototype.setLevels=function(t){return common.setLevels(this,this.levels,t)},Logger.prototype.cli=function(){return this.padLevels=!0,this.setLevels(config.cli.levels),config.addColors(config.cli.colors),this.transports.console&&(this.transports.console.colorize=!0,this.transports.console.timestamp=!1),this},Logger.prototype._uncaughtException=function(t){var r,e,n=!1,o=exception.getAllInfo(t),s=this._getExceptionHandlers();function i(){e&&!n&&(clearTimeout(r),n=!0,process.exit(1))}if(e="function"==typeof this.exitOnError?this.exitOnError(t):this.exitOnError,!s||0===s.length)return i();async.forEach(s,function(r,e){r.logException("uncaughtException",o,e,t)},i),e&&(r=setTimeout(i,3e3))},Logger.prototype._getExceptionHandlers=function(){var t=this;return this._hnames.map(function(r){return t.exceptionHandlers[r]}).concat(this._names.map(function(r){return t.transports[r].handleExceptions&&t.transports[r]})).filter(Boolean)},Logger.prototype._onError=function(t,r){this.emitErrs&&this.emit("error",r,t)};